/*******************************************************************************
 * Size: 14 px
 * Bpp: 4
 * Opts: --bpp 4 --size 14 --font Y:/HI3516CV500/KODO-Hi3516CV500-HUB-SDK-V2.0.2.0/smp/a7_linux/APP/CardvUI/assets/default.ttf -o Y:/HI3516CV500/KODO-Hi3516CV500-HUB-SDK-V2.0.2.0/smp/a7_linux/APP/CardvUI/assets\ui_font_English14.c --format lvgl -r 0x20-0x7f --symbols IDS_DS_EMPTY, ,
IDS_DS_NO,NO,
IDS_DS_YES,YES,
IDS_DS_ON,On,
IDS_DS_OFF,Off,
IDS_DS_LOW,Low,
IDS_DS_MIDDLE,Middle,
IDS_DS_HIGH,High,
IDS_DS_STANDARD,Standard,
IDS_DS_NONE,None,
IDS_DS_OK,OK,
IDS_DS_CANCEL,Cancel,
IDS_TIME_10SEC,10 sec,
IDS_TIME_30SEC,30 sec,
IDS_TIME_1MIN,1Minute,
IDS_TIME_2MIN,2Minutes,
IDS_TIME_3MIN,3Minutes,
IDS_TIME_5MIN,5Minutes,
IDS_TIME_10MIN,10Minutes,
IDS_TIME_30MIN,30Minutes,

IDS_DS_MOVIE_MODE,Video Resolution,
IDS_DS_MOVIE_MODE_4K_25,4K,
IDS_DS_MOVIE_MODE_1440_30,2K,
IDS_DS_MOVIE_MODE_SHD,SHD 30fps,
IDS_DS_MOVIE_MODE_SHD_25P,SHD 25fps,
IDS_DS_MOVIE_MODE_FHD_60P,FHD 60fps,
IDS_DS_MOVIE_MODE_FHD,1080P,
IDS_DS_MOVIE_MODE_FHD_HDR,FHD HDR 30fps,
IDS_DS_MOVIE_MODE_HD,HD 30fps,
IDS_DS_MOVIE_MODE_HD_60P,HD 60fps,
IDS_DS_MOVIE_MODE_VGA_30P,VGA 30fps,

IDS_MOVIE_CLIPTIME,Loop Recording,

IDS_MOVIE_SOUND_RECORD,Sound Record,

IDS_DS_CLOCK_SETTINGS,Data/Time,
IDS_DS_DATETIME_Y,Y,
IDS_DS_DATETIME_M,M,
IDS_DS_DATETIME_D,D,
IDS_DS_DATETIME_H,H,
IDS_DS_DATETIME_MM,M,
IDS_DS_DATETIME_S,S,

IDS_DS_DATETIME_FORMAT,Data/Time Format,
IDS_DS_DATETIME_YMD,YY/MM/DD,
IDS_DS_DATETIME_MDY,MM/DD/YY,
IDS_DS_DATETIME_DMY,DD/MM/YY,

IDS_DS_LANGUAGE,Language,
IDS_DS_LANGUAGES_ENGLISH,English,
IDS_DS_LANGUAGES_SPANISH,Español,
IDS_DS_LANGUAGES_PORTUGUESE,Português,
IDS_DS_LANGUAGES_RUSSIAN,Русский,
IDS_DS_LANGUAGES_SCHINESE,简体中文,
IDS_DS_LANGUAGES_TCHINESE,繁体中文,
IDS_DS_LANGUAGES_GERMAN,Deutsch,
IDS_DS_LANGUAGES_ITALIAN,Italiano,
IDS_DS_LANGUAGES_LATVIAN,Latviski,
IDS_DS_LANGUAGES_POLISH,Polski,
IDS_DS_LANGUAGES_ROMANIAN,Roma,
IDS_DS_LANGUAGES_SLOVAK,slovenčina,
IDS_DS_LANGUAGES_UKRANINIAN,українська,
IDS_DS_LANGUAGES_FRENCH,Français,
IDS_DS_LANGUAGES_KOREAN,한국어,
IDS_DS_LANGUAGES_JAPANESE,日本語,
IDS_DS_LANGUAGES_CZECH,Čeština,
IDS_DS_LANGUAGES_VIETNAMESE,việt nam,
IDS_DS_LANGUAGE_DESCRIPTION,Select language,

IDS_DS_RESET_SETUP,Default Settings,
IDS_DS_RESET_SETUP_CONFIRM,Restore Default Settins?,
IDS_DS_RESET_INFO,All setting will be reset to default, And reboot system!,

IDS_DS_FW_VERSION_INFO,Version Info,
IDS_DS_FW_VERSION,Firmware Version,

IDS_DS_QR_CODE_INFO,QR-Code,
IDS_DS_QR_CODE,QR-Code,

IDS_DS_FLICKER,Frequency,
IDS_FLICKER_50HZ,50 Hz,
IDS_FLICKER_60HZ,60 Hz,

IDS_DS_REVERSING_LINE,Reversing Line,
IDS_REVERSING_LINE_ON,ON,
IDS_REVERSING_LINE_OFF,OFF,

IDS_DS_LCD_POWER_SAVE,Screen Saver,

IDS_DS_KEY_TONE,Key Tone,
IDS_DS_SHUTDOWN_TONE,Boot Ringtone,

IDS_DS_GSENSOR_SENSITIVETY,G-Sensor,
IDS_DS_GSENSOR_SENSITIVETY_LEVEL0,Level 0,
IDS_DS_GSENSOR_SENSITIVETY_LEVEL1,Level 1,
IDS_DS_GSENSOR_SENSITIVETY_LEVEL2,Level 2,
IDS_DS_GSENSOR_SENSITIVETY_LEVEL3,Level 3,
IDS_DS_GSENSOR_SENSITIVETY_LEVEL4,Level 4,

IDS_DS_DATE_LOGO_DISPLAY,Data/Time/Logo Dispaly,

IDS_DS_FORMAT_SD_CARD,Format SD-Card,
IDS_DS_FORMAT_CARD_CONFIRM,Format Card?,
IDS_DS_DATA_DELETED,All data will be deleted.,
IDS_DS_MSG_LOCK_CURRENT_FILE,Lock Current File,
IDS_DS_MSG_UNLOCK_FILE,Unlock files,
IDS_DS_MSG_DELETE_FILE_OK,Delete File Complete,
IDS_DS_MSG_PROTECT_FILE_OK,Protect File Complete,
IDS_DS_MSG_NO_FILE,No file,
IDS_DS_MSG_SURE_TO_DELETE_SELETED,Delete Selected File?,
IDS_DS_MSG_DELETE_SELETED_ERROR,Delete Selected File Error!,
IDS_DS_MSG_CANNOT_DELETE,Cannot delete protected files!,
IDS_DS_MSG_SURE_TO_PROTECT_SELETED,Protect Selected File?,
IDS_DS_MSG_SURE_TO_UNPROTECT_SELETED,UnProtect Selected File?,
IDS_DS_MSG_CARD_ERROR,SD card is not formatted correctly.,
IDS_DS_MSG_STORAGE_FULL,This storage is full!,
IDS_DS_MSG_NO_CARD,SD card is not inserted.,
IDS_DS_MSG_PLUG_OUT_SD,SD Card Is Plug Out,
IDS_DS_MSG_WAIT_INITIAL_DONE,Wait SD Card Initialization Done,
IDS_DS_MSG_INSERT_SD_AGAIN,Please Insert SD Card Again,
IDS_DS_MSG_FORMAT_SD_PROCESSING,SD Card Format is Processing,
IDS_DS_MSG_FORMAT_SD_CARD_OK,Format SD Card Complete,
IDS_DS_MSG_FORMAT_SD_CARD_FAIL,Format SD Card Fail,
IDS_DS_MSG_FORMAT_SD_CARD,Please Format SD Card,
IDS_DS_MSG_GOTO_POWER_OFF,Going Power Off,
IDS_DS_MSG_OPENFILE_WAIT,Please Wait ...,
IDS_DS_MSG_ACC_OFF_TIMELAPSE_REC,After 5 seconds, Startup of video recording,
IDS_DS_MSG_ACC_ON_NORMAL_REC,Normal video startup,
IDS_DS_15DAY,15 Days,
IDS_DS_30DAY,30 Days,
IDS_DS_60DAY,60 Days,
IDS_DS_GENERAL_SETTINGS,General Settings,
IDS_DS_SYSTEM_SETTINGS,System Settings,
IDS_DS_VIDEO_SETTINGS,Video Settings,
IDS_DS_CAMID_AND_VIDEO_TYPE,Front/Rear Video,
IDS_DS_VIDEO_TYPE_NORMAL_1ST,Front Normal Video,
IDS_DS_VIDEO_TYPE_NORMAL_2ST,Rear Normal Video,
IDS_DS_VIDEO_TYPE_PARKING_1ST,Front Parking Video,
IDS_DS_VIDEO_TYPE_PARKING_2ST,Rear Parking Video,
IDS_DS_VIDEO_TYPE_EMERGENCY_1ST,Front Emergency Video,
IDS_DS_VIDEO_TYPE_EMERGENCY_2ST,Rear Emergency Video,
IDS_DS_VIDEO_TYPE_PHOTO_1ST,Front Photo,
IDS_DS_VIDEO_TYPE_PHOTO_2ST,Rear Photo,
IDS_DS_2_4G,2.4G,
IDS_DS_5G,5G,
IDS_DS_WIFI,Wifi Mode,
IDS_DS_PASSWORD_INFO,PassWord:,
IDS_DS_WIFI_SSID_INFO,WIFI SSID:,
DS_DS_NOTE,Notice,
IDS_DS_WEEK_SUNDAY,Sunday,
IDS_DS_WEEK_MONDAY,Monday,
IDS_DS_WEEK_TUESDAY,Tuesday,
IDS_DS_WEEK_WEDNESDAY,Wednesday,
IDS_DS_WEEK_THURSDAY,Thursday,
IDS_DS_WEEK_FRIDAY,Friday,
IDS_DS_WEEK_STATURDAY,Saturday,
IDS_DS_UP_PAGE,Up Page, --no-compress --no-prefilter
 ******************************************************************************/

#include "../ui.h"

#ifndef UI_FONT_ENGLISH14
#define UI_FONT_ENGLISH14 1
#endif

#if UI_FONT_ENGLISH14

/*-----------------
 *    BITMAPS
 *----------------*/

/*Store the image of the glyphs*/
static LV_ATTRIBUTE_LARGE_CONST const uint8_t glyph_bitmap[] = {
    /* U+0020 " " */

    /* U+0021 "!" */
    0xf, 0x30, 0xf3, 0xe, 0x30, 0xe2, 0xe, 0x20,
    0xd2, 0xd, 0x10, 0xd1, 0x4, 0x0, 0xa2, 0xd,
    0x40,

    /* U+0022 "\"" */
    0x29, 0xb, 0x3, 0xc0, 0xf0, 0x2c, 0xf, 0x2,
    0xc0, 0xf0,

    /* U+0023 "#" */
    0x0, 0x9, 0x80, 0x3e, 0x0, 0x0, 0xd4, 0x7,
    0xa0, 0x0, 0xf, 0x10, 0xa7, 0x0, 0xdf, 0xff,
    0xff, 0xfd, 0x2, 0x9b, 0x24, 0xf3, 0x20, 0xb,
    0x60, 0x5c, 0x0, 0x0, 0xe2, 0x9, 0x80, 0xc,
    0xff, 0xff, 0xff, 0xe0, 0x28, 0xc3, 0x3f, 0x42,
    0x0, 0x98, 0x3, 0xe0, 0x0, 0xd, 0x40, 0x7a,
    0x0, 0x0,

    /* U+0024 "$" */
    0x0, 0x7, 0xb0, 0x0, 0x0, 0x7, 0xb0, 0x0,
    0x2, 0xcf, 0xfd, 0x30, 0xd, 0x98, 0xb9, 0xe1,
    0x2f, 0x7, 0xb0, 0xa1, 0x2f, 0x37, 0xb0, 0x0,
    0xa, 0xec, 0xb0, 0x0, 0x0, 0x7e, 0xfa, 0x10,
    0x0, 0x7, 0xdc, 0xe1, 0x2, 0x7, 0xb0, 0xe6,
    0x7c, 0x7, 0xb0, 0xc6, 0x1e, 0xb9, 0xc8, 0xf1,
    0x2, 0xaf, 0xfc, 0x30, 0x0, 0x7, 0xb0, 0x0,
    0x0, 0x7, 0xb0, 0x0,

    /* U+0025 "%" */
    0xb, 0xfb, 0x10, 0x7, 0xc0, 0x8, 0xc2, 0xb9,
    0x1, 0xf4, 0x0, 0xb7, 0x5, 0xc0, 0x9b, 0x0,
    0x9, 0xb0, 0x9a, 0x2f, 0x20, 0x0, 0x1d, 0xfd,
    0x2b, 0x90, 0x0, 0x0, 0x1, 0x4, 0xf1, 0x0,
    0x0, 0x0, 0x0, 0xc7, 0x3c, 0xe8, 0x0, 0x0,
    0x5e, 0xd, 0x93, 0xe4, 0x0, 0xe, 0x50, 0xf2,
    0xa, 0x70, 0x7, 0xc0, 0xd, 0x60, 0xd5, 0x1,
    0xf4, 0x0, 0x2d, 0xf8, 0x0,

    /* U+0026 "&" */
    0x0, 0x2b, 0xfd, 0x40, 0x0, 0x0, 0xc, 0xb3,
    0x9e, 0x0, 0x0, 0x0, 0xf4, 0x1, 0xf2, 0x0,
    0x0, 0xe, 0x60, 0x5f, 0x10, 0x0, 0x0, 0x9e,
    0x6f, 0x60, 0x0, 0x0, 0x4, 0xff, 0x40, 0x28,
    0x0, 0x5, 0xf8, 0xf7, 0x5, 0xc0, 0x1, 0xf6,
    0x5, 0xf5, 0x99, 0x0, 0x4f, 0x0, 0x7, 0xfe,
    0x30, 0x3, 0xf1, 0x0, 0xc, 0xf1, 0x0, 0xd,
    0xa2, 0x17, 0xfd, 0xc0, 0x0, 0x1a, 0xff, 0xb2,
    0x1e, 0xa0,

    /* U+0027 "'" */
    0x29, 0x3c, 0x2c, 0x2c,

    /* U+0028 "(" */
    0x0, 0xd, 0x30, 0x9, 0x90, 0x2, 0xf2, 0x0,
    0x7c, 0x0, 0xc, 0x70, 0x0, 0xe5, 0x0, 0xf,
    0x40, 0x0, 0xf4, 0x0, 0xe, 0x50, 0x0, 0xc7,
    0x0, 0x7, 0xb0, 0x0, 0x2f, 0x20, 0x0, 0xa9,
    0x0, 0x1, 0xd3,

    /* U+0029 ")" */
    0x6b, 0x0, 0xc, 0x70, 0x4, 0xe0, 0x0, 0xe4,
    0x0, 0xa8, 0x0, 0x8b, 0x0, 0x6c, 0x0, 0x6c,
    0x0, 0x8b, 0x0, 0xa9, 0x0, 0xe4, 0x4, 0xe0,
    0xc, 0x70, 0x6b, 0x0,

    /* U+002A "*" */
    0x0, 0x77, 0x0, 0x4b, 0x88, 0xb4, 0x6, 0xff,
    0x60, 0x2c, 0xdd, 0xc3, 0x15, 0x77, 0x52, 0x0,
    0x44, 0x0,

    /* U+002B "+" */
    0x0, 0x0, 0x0, 0x0, 0x0, 0x8, 0x80, 0x0,
    0x0, 0x8, 0x80, 0x0, 0x0, 0x8, 0x80, 0x0,
    0x4f, 0xff, 0xff, 0xf4, 0x2, 0x29, 0x92, 0x20,
    0x0, 0x8, 0x80, 0x0, 0x0, 0x8, 0x80, 0x0,

    /* U+002C "," */
    0x8, 0x40, 0xda, 0x4, 0x81, 0xc1, 0x0, 0x0,

    /* U+002D "-" */
    0x1f, 0xff, 0xfe, 0x2, 0x22, 0x22,

    /* U+002E "." */
    0xa, 0x20, 0xe3,

    /* U+002F "/" */
    0x0, 0x2, 0xf1, 0x0, 0x7, 0xb0, 0x0, 0xd,
    0x60, 0x0, 0x2f, 0x0, 0x0, 0x8a, 0x0, 0x0,
    0xd5, 0x0, 0x3, 0xf0, 0x0, 0x9, 0xa0, 0x0,
    0xe, 0x40, 0x0, 0x4e, 0x0, 0x0, 0x99, 0x0,
    0x0,

    /* U+0030 "0" */
    0x0, 0x8e, 0xe8, 0x0, 0x7, 0xe5, 0x5e, 0x70,
    0xe, 0x60, 0x6, 0xe0, 0x2f, 0x20, 0x2, 0xf2,
    0x4f, 0x0, 0x0, 0xf4, 0x5f, 0x0, 0x0, 0xf5,
    0x4f, 0x0, 0x0, 0xf4, 0x2f, 0x20, 0x2, 0xf2,
    0xe, 0x60, 0x6, 0xe0, 0x8, 0xe5, 0x5e, 0x70,
    0x0, 0x9e, 0xe8, 0x0,

    /* U+0031 "1" */
    0x0, 0x7f, 0x53, 0xde, 0xf5, 0x98, 0xf, 0x50,
    0x0, 0xf5, 0x0, 0xf, 0x50, 0x0, 0xf5, 0x0,
    0xf, 0x50, 0x0, 0xf5, 0x0, 0xf, 0x50, 0x0,
    0xf5, 0x0, 0xf, 0x50,

    /* U+0032 "2" */
    0x0, 0x9e, 0xf9, 0x0, 0xb, 0xd4, 0x5e, 0x80,
    0x1e, 0x10, 0x7, 0xe0, 0x0, 0x0, 0x6, 0xe0,
    0x0, 0x0, 0xb, 0xa0, 0x0, 0x0, 0x5f, 0x20,
    0x0, 0x3, 0xf6, 0x0, 0x0, 0x2e, 0x90, 0x0,
    0x0, 0xdb, 0x0, 0x0, 0xb, 0xe3, 0x33, 0x30,
    0x4f, 0xff, 0xff, 0xf3,

    /* U+0033 "3" */
    0x1, 0xaf, 0xea, 0x10, 0xd, 0xb4, 0x5e, 0x90,
    0x7, 0x0, 0x8, 0xd0, 0x0, 0x0, 0x3d, 0x80,
    0x0, 0x1f, 0xfc, 0x0, 0x0, 0x3, 0x6e, 0xa0,
    0x0, 0x0, 0x4, 0xf1, 0x1, 0x0, 0x2, 0xf3,
    0x2e, 0x10, 0x5, 0xf1, 0xd, 0xc5, 0x5e, 0xa0,
    0x1, 0xae, 0xe9, 0x0,

    /* U+0034 "4" */
    0x0, 0x0, 0xd7, 0x0, 0x0, 0x6, 0xe0, 0x0,
    0x0, 0xe, 0x60, 0x0, 0x0, 0x7d, 0x0, 0x0,
    0x1, 0xf4, 0xa, 0x30, 0x8, 0xc0, 0xf, 0x40,
    0x1f, 0x30, 0xf, 0x40, 0x7f, 0xff, 0xff, 0xfc,
    0x12, 0x22, 0x2f, 0x62, 0x0, 0x0, 0xf, 0x40,
    0x0, 0x0, 0xf, 0x40,

    /* U+0035 "5" */
    0x2, 0xff, 0xff, 0xb0, 0x4, 0xe2, 0x22, 0x10,
    0x6, 0xc0, 0x0, 0x0, 0x8, 0xa0, 0x0, 0x0,
    0xa, 0xee, 0xf9, 0x0, 0xc, 0xb4, 0x5e, 0xa0,
    0x1, 0x0, 0x5, 0xf1, 0x0, 0x0, 0x2, 0xf2,
    0x6, 0x10, 0x5, 0xf0, 0xb, 0xc4, 0x5e, 0x90,
    0x1, 0xaf, 0xe8, 0x0,

    /* U+0036 "6" */
    0x0, 0x0, 0xd8, 0x0, 0x0, 0x7, 0xe0, 0x0,
    0x0, 0x1f, 0x50, 0x0, 0x0, 0x9b, 0x0, 0x0,
    0x3, 0xff, 0xfb, 0x10, 0xb, 0xe5, 0x4c, 0xd0,
    0x1f, 0x40, 0x2, 0xf4, 0x3f, 0x20, 0x0, 0xf6,
    0x1f, 0x40, 0x2, 0xf3, 0xa, 0xe5, 0x4c, 0xc0,
    0x0, 0x9e, 0xfa, 0x10,

    /* U+0037 "7" */
    0x3f, 0xff, 0xff, 0xf2, 0x2, 0x22, 0x28, 0xe0,
    0x0, 0x0, 0xc, 0x80, 0x0, 0x0, 0x2f, 0x20,
    0x0, 0x0, 0x8c, 0x0, 0x0, 0x0, 0xe6, 0x0,
    0x0, 0x5, 0xf0, 0x0, 0x0, 0xb, 0xa0, 0x0,
    0x0, 0x1f, 0x40, 0x0, 0x0, 0x7e, 0x0, 0x0,
    0x0, 0xd8, 0x0, 0x0,

    /* U+0038 "8" */
    0x1, 0xaf, 0xfa, 0x10, 0xb, 0xd4, 0x4d, 0xa0,
    0xf, 0x60, 0x5, 0xe0, 0xb, 0xb1, 0x1b, 0xa0,
    0x1, 0xef, 0xfe, 0x10, 0xa, 0xd4, 0x4d, 0xa0,
    0x2f, 0x30, 0x3, 0xf2, 0x4f, 0x0, 0x0, 0xf4,
    0x3f, 0x30, 0x3, 0xf2, 0xc, 0xd4, 0x4d, 0xb0,
    0x1, 0xaf, 0xfa, 0x10,

    /* U+0039 "9" */
    0x1, 0xaf, 0xe9, 0x0, 0xc, 0xd4, 0x5e, 0xa0,
    0x3f, 0x20, 0x5, 0xf1, 0x5f, 0x0, 0x2, 0xf3,
    0x4f, 0x10, 0x4, 0xf1, 0xe, 0xb1, 0x2c, 0xb0,
    0x3, 0xef, 0xff, 0x30, 0x0, 0x2, 0xa9, 0x0,
    0x0, 0x3, 0xf1, 0x0, 0x0, 0xd, 0x70, 0x0,
    0x0, 0x7d, 0x0, 0x0,

    /* U+003A ":" */
    0xd6, 0x83, 0x0, 0x0, 0x0, 0x0, 0x94, 0xc6,

    /* U+003B ";" */
    0xa, 0x80, 0x75, 0x0, 0x0, 0x0, 0x0, 0x0,
    0x0, 0x7, 0x50, 0xbb, 0x2, 0x90, 0xc2, 0x0,
    0x0,

    /* U+003C "<" */
    0x0, 0x0, 0x2, 0xa3, 0x0, 0x4, 0xbf, 0xa1,
    0x5, 0xcf, 0x91, 0x0, 0x4f, 0xc1, 0x0, 0x0,
    0x7, 0xee, 0x70, 0x0, 0x0, 0x5, 0xdf, 0x81,
    0x0, 0x0, 0x4, 0xb4, 0x0, 0x0, 0x0, 0x0,

    /* U+003D "=" */
    0x4f, 0xff, 0xff, 0xf4, 0x2, 0x22, 0x22, 0x20,
    0x0, 0x0, 0x0, 0x0, 0x4f, 0xff, 0xff, 0xf4,
    0x2, 0x22, 0x22, 0x20,

    /* U+003E ">" */
    0x49, 0x20, 0x0, 0x0, 0x1a, 0xfb, 0x30, 0x0,
    0x0, 0x29, 0xfc, 0x50, 0x0, 0x0, 0x1d, 0xf4,
    0x0, 0x7, 0xee, 0x60, 0x18, 0xfc, 0x50, 0x0,
    0x4b, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,

    /* U+003F "?" */
    0x0, 0x0, 0x0, 0x0, 0x8, 0xef, 0xa1, 0x9,
    0xd4, 0x5e, 0x90, 0xa2, 0x0, 0x7d, 0x0, 0x0,
    0x9, 0xb0, 0x0, 0x5, 0xf2, 0x0, 0x3, 0xf4,
    0x0, 0x0, 0xb8, 0x0, 0x0, 0xd, 0x30, 0x0,
    0x0, 0x72, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
    0x75, 0x0, 0x0, 0xa, 0x80, 0x0,

    /* U+0040 "@" */
    0x0, 0x0, 0x6c, 0xee, 0xc7, 0x10, 0x0, 0x0,
    0x2d, 0xc6, 0x33, 0x5b, 0xe3, 0x0, 0x1, 0xe8,
    0x0, 0x0, 0x0, 0x7e, 0x10, 0x9, 0xa0, 0x1a,
    0xfd, 0x6d, 0xb, 0x80, 0xe, 0x30, 0xbc, 0x46,
    0xed, 0x4, 0xe0, 0x2e, 0x1, 0xf3, 0x0, 0x8d,
    0x1, 0xf0, 0x4d, 0x3, 0xf0, 0x0, 0x5d, 0x0,
    0xf1, 0x2e, 0x1, 0xf2, 0x0, 0x7d, 0x1, 0xf0,
    0xf, 0x10, 0xca, 0x2, 0xdf, 0x17, 0xb0, 0xa,
    0x80, 0x2d, 0xff, 0x4a, 0xff, 0x30, 0x2, 0xf4,
    0x0, 0x10, 0x0, 0x10, 0x0, 0x0, 0x5f, 0x92,
    0x0, 0x39, 0x0, 0x0, 0x0, 0x2, 0xaf, 0xff,
    0xf9, 0x10, 0x0, 0x0, 0x0, 0x0, 0x11, 0x0,
    0x0, 0x0,

    /* U+0041 "A" */
    0x0, 0x2, 0xf4, 0x0, 0x0, 0x0, 0x8, 0xfa,
    0x0, 0x0, 0x0, 0xd, 0x9f, 0x0, 0x0, 0x0,
    0x3f, 0xe, 0x60, 0x0, 0x0, 0x9a, 0x9, 0xc0,
    0x0, 0x0, 0xe5, 0x4, 0xf2, 0x0, 0x4, 0xf0,
    0x0, 0xe8, 0x0, 0xa, 0xff, 0xff, 0xfe, 0x0,
    0xf, 0x63, 0x33, 0x5f, 0x40, 0x5e, 0x0, 0x0,
    0xc, 0xa0, 0xb8, 0x0, 0x0, 0x6, 0xf0,

    /* U+0042 "B" */
    0xcf, 0xff, 0xd7, 0x0, 0xc9, 0x33, 0x7f, 0x80,
    0xc7, 0x0, 0x7, 0xe0, 0xc7, 0x0, 0x6, 0xf0,
    0xc7, 0x0, 0x3d, 0xa0, 0xcf, 0xff, 0xff, 0x30,
    0xc8, 0x22, 0x3a, 0xf2, 0xc7, 0x0, 0x0, 0xd8,
    0xc7, 0x0, 0x0, 0xd8, 0xc8, 0x22, 0x4a, 0xf3,
    0xcf, 0xff, 0xec, 0x40,

    /* U+0043 "C" */
    0x0, 0x8, 0xdf, 0xc5, 0x0, 0xc, 0xd6, 0x48,
    0xf5, 0x9, 0xd0, 0x0, 0x6, 0x50, 0xf5, 0x0,
    0x0, 0x0, 0x3f, 0x10, 0x0, 0x0, 0x4, 0xf0,
    0x0, 0x0, 0x0, 0x3f, 0x10, 0x0, 0x0, 0x0,
    0xf5, 0x0, 0x0, 0x0, 0x9, 0xd0, 0x0, 0x6,
    0x50, 0xc, 0xd6, 0x48, 0xf5, 0x0, 0x8, 0xef,
    0xc5, 0x0,

    /* U+0044 "D" */
    0xcf, 0xff, 0xc6, 0x0, 0xc, 0x82, 0x37, 0xeb,
    0x0, 0xc7, 0x0, 0x1, 0xe8, 0xc, 0x70, 0x0,
    0x6, 0xe0, 0xc7, 0x0, 0x0, 0x2f, 0x2c, 0x70,
    0x0, 0x0, 0xf4, 0xc7, 0x0, 0x0, 0x2f, 0x2c,
    0x70, 0x0, 0x6, 0xe0, 0xc7, 0x0, 0x1, 0xe8,
    0xc, 0x93, 0x37, 0xeb, 0x0, 0xcf, 0xff, 0xc6,
    0x0, 0x0,

    /* U+0045 "E" */
    0xcf, 0xff, 0xff, 0x8c, 0x93, 0x33, 0x31, 0xc7,
    0x0, 0x0, 0xc, 0x70, 0x0, 0x0, 0xc7, 0x0,
    0x0, 0xc, 0xff, 0xff, 0xf0, 0xc9, 0x33, 0x32,
    0xc, 0x70, 0x0, 0x0, 0xc7, 0x0, 0x0, 0xc,
    0x93, 0x33, 0x31, 0xcf, 0xff, 0xff, 0xa0,

    /* U+0046 "F" */
    0xcf, 0xff, 0xff, 0x8c, 0x93, 0x33, 0x31, 0xc7,
    0x0, 0x0, 0xc, 0x70, 0x0, 0x0, 0xc7, 0x0,
    0x0, 0xc, 0xff, 0xff, 0xf0, 0xc9, 0x33, 0x32,
    0xc, 0x70, 0x0, 0x0, 0xc7, 0x0, 0x0, 0xc,
    0x70, 0x0, 0x0, 0xc7, 0x0, 0x0, 0x0,

    /* U+0047 "G" */
    0x0, 0x7, 0xdf, 0xe8, 0x0, 0x0, 0xcd, 0x64,
    0x6d, 0xb0, 0x8, 0xe1, 0x0, 0x1, 0x50, 0xf,
    0x60, 0x0, 0x0, 0x0, 0x3f, 0x10, 0x0, 0x0,
    0x0, 0x4f, 0x0, 0x4, 0xff, 0xf2, 0x3f, 0x10,
    0x0, 0x34, 0xf2, 0xf, 0x60, 0x0, 0x1, 0xf2,
    0x8, 0xe1, 0x0, 0x1, 0xf2, 0x0, 0xce, 0x74,
    0x5c, 0xe0, 0x0, 0x7, 0xdf, 0xe9, 0x10,

    /* U+0048 "H" */
    0xc7, 0x0, 0x0, 0xf, 0x3c, 0x70, 0x0, 0x0,
    0xf3, 0xc7, 0x0, 0x0, 0xf, 0x3c, 0x70, 0x0,
    0x0, 0xf3, 0xc7, 0x0, 0x0, 0xf, 0x3c, 0xff,
    0xff, 0xff, 0xf3, 0xc9, 0x33, 0x33, 0x3f, 0x3c,
    0x70, 0x0, 0x0, 0xf3, 0xc7, 0x0, 0x0, 0xf,
    0x3c, 0x70, 0x0, 0x0, 0xf3, 0xc7, 0x0, 0x0,
    0xf, 0x30,

    /* U+0049 "I" */
    0xc7, 0xc7, 0xc7, 0xc7, 0xc7, 0xc7, 0xc7, 0xc7,
    0xc7, 0xc7, 0xc7,

    /* U+004A "J" */
    0x0, 0x0, 0xf4, 0x0, 0x0, 0xf4, 0x0, 0x0,
    0xf4, 0x0, 0x0, 0xf4, 0x0, 0x0, 0xf4, 0x0,
    0x0, 0xf4, 0x0, 0x0, 0xf4, 0x0, 0x0, 0xf4,
    0x40, 0x1, 0xf2, 0xda, 0x4a, 0xd0, 0x2c, 0xfc,
    0x30,

    /* U+004B "K" */
    0xc7, 0x0, 0x1, 0xda, 0xc, 0x70, 0x0, 0xcb,
    0x0, 0xc7, 0x0, 0xad, 0x0, 0xc, 0x70, 0x8e,
    0x10, 0x0, 0xc7, 0x6f, 0x20, 0x0, 0xc, 0xbf,
    0xf8, 0x0, 0x0, 0xcf, 0x55, 0xf3, 0x0, 0xc,
    0x90, 0xa, 0xe1, 0x0, 0xc7, 0x0, 0xd, 0xa0,
    0xc, 0x70, 0x0, 0x3f, 0x60, 0xc7, 0x0, 0x0,
    0x7f, 0x20,

    /* U+004C "L" */
    0xc7, 0x0, 0x0, 0xc, 0x70, 0x0, 0x0, 0xc7,
    0x0, 0x0, 0xc, 0x70, 0x0, 0x0, 0xc7, 0x0,
    0x0, 0xc, 0x70, 0x0, 0x0, 0xc7, 0x0, 0x0,
    0xc, 0x70, 0x0, 0x0, 0xc7, 0x0, 0x0, 0xc,
    0x93, 0x33, 0x31, 0xcf, 0xff, 0xff, 0x80,

    /* U+004D "M" */
    0xc9, 0x0, 0x0, 0x0, 0x6e, 0xcf, 0x30, 0x0,
    0x1, 0xee, 0xcf, 0xc0, 0x0, 0x9, 0xfe, 0xc8,
    0xf5, 0x0, 0x2f, 0x8e, 0xc6, 0x7e, 0x0, 0xb8,
    0x5e, 0xc6, 0xd, 0x75, 0xe0, 0x5e, 0xc6, 0x4,
    0xfe, 0x60, 0x5e, 0xc6, 0x0, 0xbc, 0x0, 0x5e,
    0xc6, 0x0, 0x1, 0x0, 0x5e, 0xc6, 0x0, 0x0,
    0x0, 0x5e, 0xc6, 0x0, 0x0, 0x0, 0x5e,

    /* U+004E "N" */
    0xc9, 0x0, 0x0, 0xf, 0x2c, 0xf4, 0x0, 0x0,
    0xf2, 0xcd, 0xd0, 0x0, 0xf, 0x2c, 0x6d, 0x90,
    0x0, 0xf2, 0xc6, 0x3f, 0x30, 0xf, 0x2c, 0x60,
    0x8d, 0x0, 0xf2, 0xc6, 0x0, 0xd9, 0xf, 0x2c,
    0x60, 0x3, 0xf4, 0xf2, 0xc6, 0x0, 0x8, 0xef,
    0x2c, 0x60, 0x0, 0xd, 0xf2, 0xc6, 0x0, 0x0,
    0x3f, 0x20,

    /* U+004F "O" */
    0x0, 0x19, 0xef, 0xc6, 0x0, 0x1, 0xdd, 0x54,
    0x7f, 0x90, 0x9, 0xd0, 0x0, 0x3, 0xf4, 0xf,
    0x50, 0x0, 0x0, 0xaa, 0x3f, 0x10, 0x0, 0x0,
    0x6d, 0x4f, 0x0, 0x0, 0x0, 0x5f, 0x3f, 0x10,
    0x0, 0x0, 0x7d, 0xf, 0x50, 0x0, 0x0, 0xba,
    0x9, 0xd0, 0x0, 0x4, 0xf4, 0x1, 0xdd, 0x64,
    0x7f, 0x90, 0x0, 0x19, 0xef, 0xd6, 0x0,

    /* U+0050 "P" */
    0xcf, 0xff, 0xc5, 0xc, 0x82, 0x38, 0xf5, 0xc7,
    0x0, 0x9, 0xcc, 0x70, 0x0, 0x6e, 0xc7, 0x0,
    0x8, 0xdc, 0x70, 0x5, 0xf7, 0xcf, 0xff, 0xf8,
    0xc, 0x82, 0x20, 0x0, 0xc7, 0x0, 0x0, 0xc,
    0x70, 0x0, 0x0, 0xc7, 0x0, 0x0, 0x0,

    /* U+0051 "Q" */
    0x0, 0x19, 0xef, 0xc6, 0x0, 0x0, 0x1d, 0xd5,
    0x47, 0xf9, 0x0, 0x9, 0xd0, 0x0, 0x3, 0xf4,
    0x0, 0xf5, 0x0, 0x0, 0xa, 0xa0, 0x3f, 0x10,
    0x0, 0x0, 0x6d, 0x4, 0xf0, 0x0, 0x0, 0x5,
    0xf0, 0x3f, 0x10, 0x0, 0x0, 0x7d, 0x0, 0xf5,
    0x0, 0x0, 0xb, 0xa0, 0x9, 0xd0, 0x0, 0x4,
    0xf4, 0x0, 0x1d, 0xd6, 0x47, 0xf8, 0x0, 0x0,
    0x19, 0xef, 0xfd, 0x0, 0x0, 0x0, 0x0, 0x2,
    0xdc, 0x10, 0x0, 0x0, 0x0, 0x0, 0xae, 0x30,

    /* U+0052 "R" */
    0xcf, 0xff, 0xd6, 0x0, 0xc8, 0x23, 0x7f, 0x70,
    0xc7, 0x0, 0x7, 0xe0, 0xc7, 0x0, 0x6, 0xe0,
    0xc7, 0x0, 0x4e, 0x90, 0xcf, 0xff, 0xf9, 0x0,
    0xc8, 0x26, 0xf2, 0x0, 0xc7, 0x0, 0xac, 0x0,
    0xc7, 0x0, 0x1f, 0x60, 0xc7, 0x0, 0x7, 0xf1,
    0xc7, 0x0, 0x0, 0xda,

    /* U+0053 "S" */
    0x2, 0xaf, 0xfb, 0x30, 0xe, 0xc4, 0x4a, 0xf2,
    0x4f, 0x10, 0x0, 0x92, 0x3f, 0x30, 0x0, 0x0,
    0xb, 0xf8, 0x30, 0x0, 0x0, 0x5b, 0xfd, 0x50,
    0x0, 0x0, 0x19, 0xf4, 0x1, 0x0, 0x0, 0xc9,
    0x9b, 0x0, 0x0, 0xc9, 0x2e, 0xb5, 0x49, 0xf3,
    0x2, 0xae, 0xfc, 0x40,

    /* U+0054 "T" */
    0xdf, 0xff, 0xff, 0xfc, 0x23, 0x3b, 0xa3, 0x32,
    0x0, 0xa, 0x90, 0x0, 0x0, 0xa, 0x90, 0x0,
    0x0, 0xa, 0x90, 0x0, 0x0, 0xa, 0x90, 0x0,
    0x0, 0xa, 0x90, 0x0, 0x0, 0xa, 0x90, 0x0,
    0x0, 0xa, 0x90, 0x0, 0x0, 0xa, 0x90, 0x0,
    0x0, 0xa, 0x90, 0x0,

    /* U+0055 "U" */
    0xe5, 0x0, 0x0, 0x2f, 0x1e, 0x50, 0x0, 0x2,
    0xf1, 0xe5, 0x0, 0x0, 0x2f, 0x1e, 0x50, 0x0,
    0x2, 0xf1, 0xe5, 0x0, 0x0, 0x2f, 0x1e, 0x50,
    0x0, 0x2, 0xf1, 0xd6, 0x0, 0x0, 0x2f, 0x1c,
    0x80, 0x0, 0x4, 0xf0, 0x8d, 0x0, 0x0, 0xab,
    0x1, 0xec, 0x54, 0xaf, 0x30, 0x2, 0xbf, 0xfc,
    0x30, 0x0,

    /* U+0056 "V" */
    0xba, 0x0, 0x0, 0x4, 0xe0, 0x5f, 0x0, 0x0,
    0xa, 0x90, 0xf, 0x50, 0x0, 0xf, 0x30, 0x9,
    0xb0, 0x0, 0x5d, 0x0, 0x3, 0xf1, 0x0, 0xa8,
    0x0, 0x0, 0xd6, 0x0, 0xf2, 0x0, 0x0, 0x7c,
    0x5, 0xc0, 0x0, 0x0, 0x2f, 0x2a, 0x70, 0x0,
    0x0, 0xc, 0x8f, 0x10, 0x0, 0x0, 0x6, 0xfb,
    0x0, 0x0, 0x0, 0x0, 0xf6, 0x0, 0x0,

    /* U+0057 "W" */
    0xb9, 0x0, 0x0, 0xd7, 0x0, 0x0, 0xe4, 0x6d,
    0x0, 0x1, 0xfc, 0x0, 0x3, 0xf0, 0x2f, 0x20,
    0x5, 0xef, 0x10, 0x7, 0xb0, 0xd, 0x70, 0xa,
    0x8e, 0x50, 0xb, 0x60, 0x8, 0xb0, 0xe, 0x39,
    0xa0, 0xf, 0x20, 0x3, 0xf0, 0x2e, 0x5, 0xe0,
    0x4d, 0x0, 0x0, 0xe4, 0x6a, 0x0, 0xf3, 0x89,
    0x0, 0x0, 0xa9, 0xb5, 0x0, 0xb8, 0xc4, 0x0,
    0x0, 0x5e, 0xe1, 0x0, 0x6d, 0xf0, 0x0, 0x0,
    0xf, 0xc0, 0x0, 0x2f, 0xb0, 0x0, 0x0, 0xb,
    0x80, 0x0, 0xd, 0x70, 0x0,

    /* U+0058 "X" */
    0x6f, 0x20, 0x0, 0xc, 0x90, 0xb, 0xc0, 0x0,
    0x7e, 0x0, 0x1, 0xf6, 0x2, 0xf4, 0x0, 0x0,
    0x6f, 0x2c, 0x90, 0x0, 0x0, 0xb, 0xee, 0x0,
    0x0, 0x0, 0x4, 0xf7, 0x0, 0x0, 0x0, 0xc,
    0xde, 0x10, 0x0, 0x0, 0x7d, 0xc, 0xb0, 0x0,
    0x2, 0xf3, 0x2, 0xf5, 0x0, 0xc, 0x90, 0x0,
    0x7e, 0x10, 0x7e, 0x0, 0x0, 0xc, 0xb0,

    /* U+0059 "Y" */
    0x9d, 0x0, 0x0, 0x2f, 0x41, 0xf7, 0x0, 0xa,
    0xb0, 0x7, 0xf1, 0x3, 0xf2, 0x0, 0xd, 0x90,
    0xb9, 0x0, 0x0, 0x4f, 0x7f, 0x10, 0x0, 0x0,
    0xbf, 0x70, 0x0, 0x0, 0x4, 0xf0, 0x0, 0x0,
    0x0, 0x3f, 0x0, 0x0, 0x0, 0x3, 0xf0, 0x0,
    0x0, 0x0, 0x3f, 0x0, 0x0, 0x0, 0x3, 0xf0,
    0x0, 0x0,

    /* U+005A "Z" */
    0x3f, 0xff, 0xff, 0xf8, 0x3, 0x33, 0x38, 0xf1,
    0x0, 0x0, 0xe, 0x70, 0x0, 0x0, 0x8d, 0x0,
    0x0, 0x2, 0xf4, 0x0, 0x0, 0xb, 0xa0, 0x0,
    0x0, 0x5f, 0x10, 0x0, 0x0, 0xe7, 0x0, 0x0,
    0x8, 0xd0, 0x0, 0x0, 0x2f, 0x73, 0x33, 0x32,
    0x9f, 0xff, 0xff, 0xfc,

    /* U+005B "[" */
    0xcf, 0xf8, 0xc8, 0x21, 0xc6, 0x0, 0xc6, 0x0,
    0xc6, 0x0, 0xc6, 0x0, 0xc6, 0x0, 0xc6, 0x0,
    0xc6, 0x0, 0xc6, 0x0, 0xc6, 0x0, 0xc6, 0x0,
    0xc6, 0x0, 0xcf, 0xf8, 0x22, 0x21,

    /* U+005C "\\" */
    0x99, 0x0, 0x0, 0x4e, 0x0, 0x0, 0xe, 0x40,
    0x0, 0x9, 0xa0, 0x0, 0x3, 0xf0, 0x0, 0x0,
    0xd5, 0x0, 0x0, 0x8a, 0x0, 0x0, 0x2f, 0x0,
    0x0, 0xd, 0x60, 0x0, 0x7, 0xb0, 0x0, 0x2,
    0xf1,

    /* U+005D "]" */
    0xbf, 0xf9, 0x12, 0xa9, 0x0, 0x99, 0x0, 0x99,
    0x0, 0x99, 0x0, 0x99, 0x0, 0x99, 0x0, 0x99,
    0x0, 0x99, 0x0, 0x99, 0x0, 0x99, 0x0, 0x99,
    0x0, 0x99, 0xbf, 0xf9, 0x12, 0x21,

    /* U+005E "^" */
    0x0, 0x27, 0x0, 0x0, 0xa, 0xf4, 0x0, 0x1,
    0xfa, 0xb0, 0x0, 0x8b, 0x1f, 0x10, 0xe, 0x40,
    0xa8, 0x5, 0xd0, 0x3, 0xe0,

    /* U+005F "_" */
    0xff, 0xff, 0xfc, 0x22, 0x22, 0x21,

    /* U+0060 "`" */
    0x7, 0x20, 0x8, 0xa0, 0x0, 0xe2,

    /* U+0061 "a" */
    0x1, 0xaf, 0xe7, 0x0, 0xba, 0x35, 0xf4, 0x1,
    0x0, 0x9, 0x90, 0x2a, 0xed, 0xda, 0xe, 0x92,
    0x3a, 0xa3, 0xf0, 0x0, 0x9a, 0x1f, 0x50, 0x4f,
    0xa0, 0x5d, 0xec, 0x8a,

    /* U+0062 "b" */
    0xe4, 0x0, 0x0, 0xe, 0x40, 0x0, 0x0, 0xe4,
    0x0, 0x0, 0xe, 0x5b, 0xfd, 0x40, 0xee, 0x84,
    0x9f, 0x2e, 0x90, 0x0, 0xb9, 0xe5, 0x0, 0x7,
    0xce, 0x40, 0x0, 0x7c, 0xe9, 0x0, 0xb, 0x9e,
    0xe7, 0x38, 0xf2, 0xe4, 0xbf, 0xd4, 0x0,

    /* U+0063 "c" */
    0x0, 0x8e, 0xfa, 0x0, 0x9e, 0x54, 0xd7, 0x1f,
    0x40, 0x0, 0x4, 0xf0, 0x0, 0x0, 0x4f, 0x0,
    0x0, 0x1, 0xf4, 0x0, 0x0, 0x9, 0xe5, 0x4d,
    0x70, 0x8, 0xef, 0xa0,

    /* U+0064 "d" */
    0x0, 0x0, 0x0, 0xc6, 0x0, 0x0, 0x0, 0xc6,
    0x0, 0x0, 0x0, 0xc6, 0x0, 0x9f, 0xe6, 0xc6,
    0xa, 0xd5, 0x5d, 0xf6, 0x1f, 0x30, 0x2, 0xf6,
    0x4f, 0x0, 0x0, 0xd6, 0x4f, 0x0, 0x0, 0xd6,
    0x1f, 0x20, 0x1, 0xf6, 0xa, 0xc2, 0x2b, 0xf6,
    0x0, 0x9f, 0xe7, 0xa6,

    /* U+0065 "e" */
    0x0, 0x8e, 0xfa, 0x10, 0x9, 0xd4, 0x4c, 0xb0,
    0x1f, 0x20, 0x3, 0xf1, 0x4f, 0xee, 0xee, 0xf2,
    0x4f, 0x21, 0x11, 0x10, 0x1f, 0x40, 0x0, 0x0,
    0x9, 0xe5, 0x3a, 0xb0, 0x0, 0x8e, 0xfb, 0x20,

    /* U+0066 "f" */
    0x0, 0x7e, 0xe1, 0x2, 0xf5, 0x40, 0x6, 0xc0,
    0x0, 0x7, 0xb0, 0x0, 0xbf, 0xff, 0xa0, 0x18,
    0xc1, 0x0, 0x7, 0xb0, 0x0, 0x7, 0xb0, 0x0,
    0x7, 0xb0, 0x0, 0x7, 0xb0, 0x0, 0x7, 0xb0,
    0x0, 0x7, 0xb0, 0x0,

    /* U+0067 "g" */
    0x0, 0x9f, 0xe6, 0xa6, 0xa, 0xd5, 0x5d, 0xe6,
    0x1f, 0x30, 0x1, 0xf6, 0x4f, 0x0, 0x0, 0xd6,
    0x4f, 0x0, 0x0, 0xd6, 0x1f, 0x30, 0x1, 0xf6,
    0xa, 0xd5, 0x4d, 0xf6, 0x0, 0x9f, 0xe6, 0xc6,
    0x0, 0x0, 0x0, 0xf3, 0xc, 0xa4, 0x4b, 0xd0,
    0x2, 0xbf, 0xea, 0x10,

    /* U+0068 "h" */
    0xe4, 0x0, 0x0, 0xe, 0x40, 0x0, 0x0, 0xe4,
    0x0, 0x0, 0xe, 0x6b, 0xfc, 0x20, 0xee, 0x74,
    0xcc, 0xe, 0x70, 0x3, 0xf0, 0xe4, 0x0, 0xf,
    0x2e, 0x40, 0x0, 0xf2, 0xe4, 0x0, 0xf, 0x2e,
    0x40, 0x0, 0xf2, 0xe4, 0x0, 0xf, 0x20,

    /* U+0069 "i" */
    0xe, 0x40, 0xa2, 0x0, 0x0, 0xe4, 0xe, 0x40,
    0xe4, 0xe, 0x40, 0xe4, 0xe, 0x40, 0xe4, 0xe,
    0x40,

    /* U+006A "j" */
    0x0, 0xe, 0x40, 0x0, 0xa2, 0x0, 0x0, 0x0,
    0x0, 0xe4, 0x0, 0xe, 0x40, 0x0, 0xe4, 0x0,
    0xe, 0x40, 0x0, 0xe4, 0x0, 0xe, 0x40, 0x0,
    0xe4, 0x0, 0xe, 0x40, 0x0, 0xf3, 0x15, 0x7f,
    0x5, 0xee, 0x50,

    /* U+006B "k" */
    0xe4, 0x0, 0x0, 0xe, 0x40, 0x0, 0x0, 0xe4,
    0x0, 0x0, 0xe, 0x40, 0xc, 0xa0, 0xe4, 0x9,
    0xc0, 0xe, 0x46, 0xe1, 0x0, 0xe7, 0xf8, 0x0,
    0xe, 0xfa, 0xf2, 0x0, 0xe9, 0xb, 0xc0, 0xe,
    0x40, 0x2f, 0x60, 0xe4, 0x0, 0x7f, 0x10,

    /* U+006C "l" */
    0xe4, 0xe4, 0xe4, 0xe4, 0xe4, 0xe4, 0xe4, 0xe4,
    0xe4, 0xe4, 0xe4,

    /* U+006D "m" */
    0xe6, 0xdf, 0xa1, 0xaf, 0xc1, 0xed, 0x33, 0xfd,
    0x61, 0xba, 0xe6, 0x0, 0xac, 0x0, 0x4e, 0xe4,
    0x0, 0x8a, 0x0, 0x3f, 0xe4, 0x0, 0x8a, 0x0,
    0x3f, 0xe4, 0x0, 0x8a, 0x0, 0x3f, 0xe4, 0x0,
    0x8a, 0x0, 0x3f, 0xe4, 0x0, 0x8a, 0x0, 0x3f,

    /* U+006E "n" */
    0xe5, 0xcf, 0xc2, 0xe, 0xe4, 0x1a, 0xc0, 0xe6,
    0x0, 0x2f, 0x1e, 0x40, 0x0, 0xf2, 0xe4, 0x0,
    0xf, 0x2e, 0x40, 0x0, 0xf2, 0xe4, 0x0, 0xf,
    0x2e, 0x40, 0x0, 0xf2,

    /* U+006F "o" */
    0x0, 0x7e, 0xfa, 0x10, 0x8, 0xe5, 0x4b, 0xc0,
    0x1f, 0x30, 0x0, 0xe5, 0x4f, 0x0, 0x0, 0xb8,
    0x4f, 0x0, 0x0, 0xb8, 0x1f, 0x30, 0x0, 0xe5,
    0x9, 0xe5, 0x4b, 0xc0, 0x0, 0x7e, 0xfa, 0x10,

    /* U+0070 "p" */
    0xe4, 0xcf, 0xd4, 0xe, 0xe4, 0x5, 0xf2, 0xe8,
    0x0, 0xa, 0x9e, 0x40, 0x0, 0x7c, 0xe5, 0x0,
    0x7, 0xce, 0x90, 0x0, 0xb9, 0xee, 0x73, 0x8f,
    0x2e, 0x5b, 0xfd, 0x40, 0xe4, 0x0, 0x0, 0xe,
    0x40, 0x0, 0x0, 0xe4, 0x0, 0x0, 0x0,

    /* U+0071 "q" */
    0x0, 0x9f, 0xe6, 0xa6, 0xa, 0xd5, 0x4c, 0xe6,
    0x1f, 0x30, 0x1, 0xf6, 0x4f, 0x0, 0x0, 0xd6,
    0x4f, 0x0, 0x0, 0xd6, 0x1f, 0x30, 0x1, 0xf6,
    0xa, 0xd5, 0x4c, 0xf6, 0x0, 0x9f, 0xe6, 0xc6,
    0x0, 0x0, 0x0, 0xc6, 0x0, 0x0, 0x0, 0xc6,
    0x0, 0x0, 0x0, 0xc6,

    /* U+0072 "r" */
    0xe6, 0xdf, 0xe, 0xe3, 0x10, 0xe7, 0x0, 0xe,
    0x40, 0x0, 0xe4, 0x0, 0xe, 0x40, 0x0, 0xe4,
    0x0, 0xe, 0x40, 0x0,

    /* U+0073 "s" */
    0x5, 0xdf, 0xb2, 0x2f, 0x53, 0xaa, 0x4f, 0x10,
    0x0, 0xb, 0xe9, 0x40, 0x0, 0x38, 0xf8, 0x2,
    0x0, 0x5f, 0x6e, 0x53, 0xac, 0x7, 0xef, 0xb2,

    /* U+0074 "t" */
    0xa, 0x80, 0x0, 0xa, 0x80, 0x0, 0xdf, 0xff,
    0xa0, 0x1a, 0x91, 0x10, 0xa, 0x80, 0x0, 0xa,
    0x80, 0x0, 0xa, 0x80, 0x0, 0x9, 0x90, 0x0,
    0x7, 0xe4, 0x40, 0x0, 0xbf, 0xc0,

    /* U+0075 "u" */
    0xf, 0x20, 0x2, 0xf0, 0xf, 0x20, 0x2, 0xf0,
    0xf, 0x20, 0x2, 0xf0, 0xf, 0x20, 0x2, 0xf0,
    0xf, 0x20, 0x2, 0xf0, 0xe, 0x40, 0x4, 0xf0,
    0xa, 0xb1, 0x3d, 0xf0, 0x1, 0xbf, 0xd4, 0xf0,

    /* U+0076 "v" */
    0xaa, 0x0, 0x5, 0xd0, 0x4f, 0x0, 0xa, 0x80,
    0xe, 0x60, 0xf, 0x20, 0x8, 0xb0, 0x5c, 0x0,
    0x2, 0xf1, 0xa6, 0x0, 0x0, 0xc8, 0xf1, 0x0,
    0x0, 0x6f, 0xb0, 0x0, 0x0, 0xf, 0x50, 0x0,

    /* U+0077 "w" */
    0xb8, 0x0, 0x1f, 0x20, 0x8, 0x95, 0xd0, 0x6,
    0xf7, 0x0, 0xc4, 0xf, 0x20, 0xac, 0xc0, 0x1e,
    0x0, 0xb7, 0xe, 0x2f, 0x16, 0xa0, 0x5, 0xd4,
    0xb0, 0xc6, 0xa5, 0x0, 0xf, 0xa6, 0x6, 0xbe,
    0x0, 0x0, 0xbf, 0x10, 0x1f, 0xa0, 0x0, 0x5,
    0xc0, 0x0, 0xc5, 0x0,

    /* U+0078 "x" */
    0x8e, 0x10, 0xd, 0x70, 0xd9, 0x8, 0xc0, 0x3,
    0xf7, 0xf2, 0x0, 0x8, 0xf7, 0x0, 0x0, 0x8f,
    0x80, 0x0, 0x3f, 0x7f, 0x20, 0xd, 0x80, 0x9c,
    0x8, 0xd0, 0x1, 0xe7,

    /* U+0079 "y" */
    0xba, 0x0, 0x4, 0xe0, 0x5f, 0x0, 0xa, 0x80,
    0xe, 0x60, 0xf, 0x20, 0x8, 0xc0, 0x5c, 0x0,
    0x1, 0xf2, 0xb6, 0x0, 0x0, 0xba, 0xf0, 0x0,
    0x0, 0x4f, 0xa0, 0x0, 0x0, 0xf, 0x40, 0x0,
    0x0, 0x4d, 0x0, 0x0, 0x34, 0xd6, 0x0, 0x0,
    0xbf, 0xa0, 0x0, 0x0,

    /* U+007A "z" */
    0x4f, 0xff, 0xff, 0x0, 0x11, 0x1e, 0x70, 0x0,
    0x8, 0xd0, 0x0, 0x2, 0xf3, 0x0, 0x0, 0xc9,
    0x0, 0x0, 0x6e, 0x10, 0x0, 0x1e, 0x71, 0x11,
    0x8, 0xff, 0xff, 0xf2,

    /* U+007B "{" */
    0x0, 0x3c, 0xd0, 0xb, 0xb2, 0x0, 0xe5, 0x0,
    0xf, 0x40, 0x0, 0xf4, 0x0, 0xf, 0x40, 0x6,
    0xf1, 0x7, 0xf6, 0x0, 0x29, 0xf1, 0x0, 0xf,
    0x40, 0x0, 0xf4, 0x0, 0xf, 0x40, 0x0, 0xd8,
    0x0, 0x6, 0xfd, 0x0, 0x0, 0x20,

    /* U+007C "|" */
    0x4d, 0x4d, 0x4d, 0x4d, 0x4d, 0x4d, 0x4d, 0x4d,
    0x4d, 0x4d, 0x4d, 0x4d, 0x4d, 0x4d,

    /* U+007D "}" */
    0xad, 0x40, 0x2, 0x9e, 0x0, 0x2, 0xf1, 0x0,
    0x2f, 0x20, 0x1, 0xf2, 0x0, 0x1f, 0x20, 0x0,
    0xd9, 0x10, 0x4, 0xf9, 0x0, 0xdb, 0x30, 0x1f,
    0x20, 0x2, 0xf2, 0x0, 0x2f, 0x10, 0x6, 0xf0,
    0xb, 0xf8, 0x0, 0x10, 0x0, 0x0,

    /* U+007E "~" */
    0x4, 0xea, 0x0, 0xf1, 0xe, 0x6b, 0x83, 0xe0,
    0x1f, 0x0, 0xdf, 0x60, 0x2, 0x0, 0x1, 0x0,

    /* U+00E7 "ç" */
    0x0, 0x8e, 0xfa, 0x0, 0xad, 0x54, 0xc7, 0x2f,
    0x30, 0x0, 0x4, 0xf0, 0x0, 0x0, 0x4f, 0x0,
    0x0, 0x0, 0xf8, 0x0, 0x43, 0x5, 0xfd, 0xcf,
    0x50, 0x2, 0xca, 0x30, 0x0, 0xd, 0xd4, 0x0,
    0x0, 0x6, 0xc0, 0x0, 0x1e, 0xe5, 0x0,

    /* U+00EA "ê" */
    0x0, 0xc, 0xe1, 0x0, 0x0, 0x99, 0x6c, 0x0,
    0x0, 0x20, 0x2, 0x0, 0x0, 0x8e, 0xfa, 0x10,
    0x9, 0xd4, 0x4c, 0xb0, 0x1f, 0x20, 0x3, 0xf1,
    0x4f, 0xee, 0xee, 0xf2, 0x4f, 0x21, 0x11, 0x10,
    0x1f, 0x40, 0x0, 0x0, 0x9, 0xe5, 0x3a, 0xb0,
    0x0, 0x8e, 0xfb, 0x20,

    /* U+00F1 "ñ" */
    0xa, 0xe3, 0xc4, 0x2, 0xd5, 0xfd, 0x0, 0x1,
    0x0, 0x0, 0xe, 0x5c, 0xfc, 0x20, 0xee, 0x41,
    0xac, 0xe, 0x60, 0x2, 0xf1, 0xe4, 0x0, 0xf,
    0x2e, 0x40, 0x0, 0xf2, 0xe4, 0x0, 0xf, 0x2e,
    0x40, 0x0, 0xf2, 0xe4, 0x0, 0xf, 0x20,

    /* U+010C "Č" */
    0x0, 0xb, 0x88, 0xa0, 0x0, 0x0, 0x6, 0x60,
    0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x8d,
    0xfc, 0x50, 0x0, 0xcd, 0x64, 0x8f, 0x50, 0x9d,
    0x0, 0x0, 0x65, 0xf, 0x50, 0x0, 0x0, 0x3,
    0xf1, 0x0, 0x0, 0x0, 0x4f, 0x0, 0x0, 0x0,
    0x3, 0xf1, 0x0, 0x0, 0x0, 0xf, 0x50, 0x0,
    0x0, 0x0, 0x9d, 0x0, 0x0, 0x65, 0x0, 0xcd,
    0x64, 0x8f, 0x50, 0x0, 0x8e, 0xfc, 0x50,

    /* U+010D "č" */
    0x0, 0xc6, 0x6c, 0x0, 0x1, 0xee, 0x10, 0x0,
    0x1, 0x10, 0x0, 0x8, 0xef, 0xa0, 0x9, 0xe5,
    0x4d, 0x71, 0xf4, 0x0, 0x0, 0x4f, 0x0, 0x0,
    0x4, 0xf0, 0x0, 0x0, 0x1f, 0x40, 0x0, 0x0,
    0x9e, 0x54, 0xd7, 0x0, 0x8e, 0xfa, 0x0,

    /* U+0161 "š" */
    0x7, 0xc2, 0xe2, 0x0, 0xae, 0x60, 0x0, 0x2,
    0x0, 0x5, 0xdf, 0xb2, 0x2f, 0x53, 0xaa, 0x4f,
    0x10, 0x0, 0xb, 0xe9, 0x40, 0x0, 0x38, 0xf8,
    0x2, 0x0, 0x5f, 0x6e, 0x53, 0xac, 0x7, 0xef,
    0xb2,

    /* U+0420 "Р" */
    0xcf, 0xff, 0xc5, 0xc, 0x82, 0x38, 0xf5, 0xc7,
    0x0, 0xa, 0xcc, 0x70, 0x0, 0x6e, 0xc7, 0x0,
    0x9, 0xdc, 0x70, 0x5, 0xf7, 0xcf, 0xff, 0xf8,
    0xc, 0x82, 0x20, 0x0, 0xc7, 0x0, 0x0, 0xc,
    0x70, 0x0, 0x0, 0xc7, 0x0, 0x0, 0x0,

    /* U+0430 "а" */
    0x1, 0xaf, 0xe7, 0x0, 0xba, 0x35, 0xf4, 0x1,
    0x0, 0x9, 0x90, 0x2a, 0xed, 0xda, 0xe, 0x92,
    0x3a, 0xa3, 0xf0, 0x0, 0x9a, 0x1f, 0x50, 0x4f,
    0xa0, 0x5d, 0xec, 0x8a,

    /* U+0438 "и" */
    0xe4, 0x0, 0x3f, 0x2e, 0x40, 0xd, 0xf2, 0xe4,
    0x8, 0xcf, 0x2e, 0x43, 0xe2, 0xf2, 0xe4, 0xd6,
    0xf, 0x2e, 0xcb, 0x0, 0xf2, 0xef, 0x20, 0xf,
    0x2e, 0x60, 0x0, 0xf2,

    /* U+0439 "й" */
    0xf, 0x41, 0xe3, 0x0, 0x5e, 0xe8, 0x0, 0x0,
    0x0, 0x0, 0xe, 0x40, 0x3, 0xf2, 0xe4, 0x0,
    0xdf, 0x2e, 0x40, 0x8c, 0xf2, 0xe4, 0x3e, 0x2f,
    0x2e, 0x4d, 0x60, 0xf2, 0xec, 0xb0, 0xf, 0x2e,
    0xf2, 0x0, 0xf2, 0xe6, 0x0, 0xf, 0x20,

    /* U+043A "к" */
    0xe4, 0x0, 0xbb, 0xe, 0x40, 0x8d, 0x0, 0xe4,
    0x5e, 0x20, 0xe, 0xff, 0x70, 0x0, 0xe5, 0x8d,
    0x0, 0xe, 0x40, 0xd9, 0x0, 0xe4, 0x3, 0xf4,
    0xe, 0x40, 0x9, 0xe1,

    /* U+043D "н" */
    0xe4, 0x0, 0x1f, 0x2e, 0x40, 0x1, 0xf2, 0xe4,
    0x0, 0x1f, 0x2e, 0xff, 0xff, 0xf2, 0xe5, 0x22,
    0x3f, 0x2e, 0x40, 0x1, 0xf2, 0xe4, 0x0, 0x1f,
    0x2e, 0x40, 0x1, 0xf2,

    /* U+0440 "р" */
    0xe4, 0xcf, 0xd4, 0xe, 0xe4, 0x5, 0xf2, 0xe8,
    0x0, 0xa, 0x9e, 0x40, 0x0, 0x7c, 0xe5, 0x0,
    0x7, 0xce, 0x90, 0x0, 0xb9, 0xee, 0x73, 0x8f,
    0x2e, 0x5b, 0xfd, 0x40, 0xe4, 0x0, 0x0, 0xe,
    0x40, 0x0, 0x0, 0xe4, 0x0, 0x0, 0x0,

    /* U+0441 "с" */
    0x0, 0x8e, 0xfa, 0x0, 0x9e, 0x54, 0xd7, 0x1f,
    0x40, 0x0, 0x4, 0xf0, 0x0, 0x0, 0x4f, 0x0,
    0x0, 0x1, 0xf4, 0x0, 0x0, 0x9, 0xe5, 0x4d,
    0x70, 0x8, 0xef, 0xa0,

    /* U+0443 "у" */
    0xba, 0x0, 0x4, 0xe0, 0x5f, 0x0, 0xa, 0x80,
    0xe, 0x60, 0xf, 0x20, 0x8, 0xc0, 0x5c, 0x0,
    0x1, 0xf2, 0xb6, 0x0, 0x0, 0xba, 0xf0, 0x0,
    0x0, 0x4f, 0xa0, 0x0, 0x0, 0xf, 0x40, 0x0,
    0x0, 0x4d, 0x0, 0x0, 0x34, 0xd6, 0x0, 0x0,
    0xbf, 0xa0, 0x0, 0x0,

    /* U+044C "ь" */
    0xe4, 0x0, 0x0, 0xe4, 0x0, 0x0, 0xe4, 0x0,
    0x0, 0xef, 0xfd, 0x80, 0xe5, 0x24, 0xd7, 0xe4,
    0x0, 0x8b, 0xe5, 0x14, 0xd8, 0xef, 0xfe, 0x90,

    /* U+0457 "ї" */
    0xe, 0x6e, 0x20, 0xa3, 0xa1, 0x0, 0x0, 0x0,
    0xf, 0x30, 0x0, 0xf3, 0x0, 0xf, 0x30, 0x0,
    0xf3, 0x0, 0xf, 0x30, 0x0, 0xf3, 0x0, 0xf,
    0x30, 0x0, 0xf3, 0x0,

    /* U+1EC7 "ệ" */
    0x0, 0xc, 0xe1, 0x0, 0x0, 0x99, 0x6c, 0x0,
    0x0, 0x20, 0x2, 0x0, 0x0, 0x8e, 0xfa, 0x10,
    0x9, 0xd4, 0x4c, 0xb0, 0x1f, 0x20, 0x3, 0xf1,
    0x4f, 0xee, 0xee, 0xf2, 0x4f, 0x21, 0x11, 0x10,
    0x1f, 0x40, 0x0, 0x0, 0x9, 0xe5, 0x3a, 0xb0,
    0x0, 0x8e, 0xfb, 0x20, 0x0, 0x0, 0x0, 0x0,
    0x0, 0x6, 0xc0, 0x0, 0x0, 0x4, 0x80, 0x0,

    /* U+4E2D "中" */
    0x0, 0x0, 0x4, 0xe0, 0x0, 0x0, 0x0, 0x0,
    0x4, 0xe0, 0x0, 0x0, 0x2, 0x22, 0x25, 0xe2,
    0x22, 0x22, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xfe,
    0x3e, 0x0, 0x4, 0xe0, 0x0, 0x4e, 0x3e, 0x0,
    0x4, 0xe0, 0x0, 0x4e, 0x3e, 0x0, 0x4, 0xe0,
    0x0, 0x4e, 0x3e, 0x22, 0x26, 0xe2, 0x22, 0x6e,
    0x3f, 0xff, 0xff, 0xff, 0xff, 0xfd, 0x0, 0x0,
    0x4, 0xe0, 0x0, 0x0, 0x0, 0x0, 0x4, 0xe0,
    0x0, 0x0, 0x0, 0x0, 0x4, 0xe0, 0x0, 0x0,
    0x0, 0x0, 0x4, 0xe0, 0x0, 0x0,

    /* U+4F53 "体" */
    0x0, 0xc, 0x20, 0x5, 0xc0, 0x0, 0x0, 0x0,
    0x3e, 0x0, 0x5, 0xc0, 0x0, 0x0, 0x0, 0x99,
    0x22, 0x26, 0xd2, 0x22, 0x10, 0x1, 0xf4, 0xde,
    0xff, 0xff, 0xee, 0x90, 0x8, 0xf2, 0x0, 0x7d,
    0xed, 0x0, 0x0, 0x1e, 0xf2, 0x0, 0xc9, 0xcc,
    0x30, 0x0, 0x8d, 0xe2, 0x3, 0xd5, 0xc7, 0xa0,
    0x0, 0x53, 0xe2, 0xc, 0x65, 0xc0, 0xf3, 0x0,
    0x0, 0xe2, 0x6d, 0x5, 0xc0, 0x7d, 0x0, 0x0,
    0xe5, 0xf5, 0x27, 0xd2, 0x3d, 0x90, 0x0, 0xe8,
    0x86, 0xde, 0xfd, 0xd3, 0xc0, 0x0, 0xe2, 0x0,
    0x5, 0xc0, 0x0, 0x0, 0x0, 0xd2, 0x0, 0x5,
    0xc0, 0x0, 0x0,

    /* U+6587 "文" */
    0x0, 0x0, 0x0, 0xc4, 0x0, 0x0, 0x0, 0x0,
    0x0, 0x0, 0xa9, 0x0, 0x0, 0x0, 0x1d, 0xdd,
    0xdd, 0xef, 0xdd, 0xdd, 0xd1, 0x4, 0x4d, 0x94,
    0x44, 0x4a, 0xc4, 0x40, 0x0, 0x7, 0xb0, 0x0,
    0xd, 0x60, 0x0, 0x0, 0x1, 0xf2, 0x0, 0x3f,
    0x10, 0x0, 0x0, 0x0, 0x9a, 0x0, 0xb9, 0x0,
    0x0, 0x0, 0x0, 0x1e, 0x66, 0xe1, 0x0, 0x0,
    0x0, 0x0, 0x3, 0xff, 0x30, 0x0, 0x0, 0x0,
    0x0, 0x1a, 0xee, 0x91, 0x0, 0x0, 0x0, 0x17,
    0xeb, 0x11, 0xbe, 0x81, 0x0, 0x2a, 0xfd, 0x50,
    0x0, 0x4, 0xcf, 0xb2, 0x1a, 0x40, 0x0, 0x0,
    0x0, 0x3, 0x91,

    /* U+65E5 "日" */
    0x5f, 0xff, 0xff, 0xff, 0xfe, 0x5d, 0x22, 0x22,
    0x22, 0x5e, 0x5d, 0x0, 0x0, 0x0, 0x3e, 0x5d,
    0x0, 0x0, 0x0, 0x3e, 0x5d, 0x22, 0x22, 0x22,
    0x5e, 0x5f, 0xff, 0xff, 0xff, 0xfe, 0x5d, 0x0,
    0x0, 0x0, 0x3e, 0x5d, 0x0, 0x0, 0x0, 0x3e,
    0x5d, 0x0, 0x0, 0x0, 0x3e, 0x5d, 0x33, 0x33,
    0x33, 0x6e, 0x5f, 0xff, 0xff, 0xff, 0xfe, 0x5d,
    0x0, 0x0, 0x0, 0x3e, 0x0, 0x0, 0x0, 0x0,
    0x0,

    /* U+672C "本" */
    0x0, 0x0, 0x0, 0x99, 0x0, 0x0, 0x0, 0x0,
    0x0, 0x0, 0x99, 0x0, 0x0, 0x0, 0x2, 0x22,
    0x22, 0xaa, 0x22, 0x22, 0x20, 0xd, 0xee, 0xef,
    0xff, 0xfe, 0xee, 0xd0, 0x0, 0x0, 0xc, 0xcc,
    0xc0, 0x0, 0x0, 0x0, 0x0, 0x5c, 0x99, 0xc4,
    0x0, 0x0, 0x0, 0x0, 0xe3, 0x99, 0x3d, 0x0,
    0x0, 0x0, 0xa, 0x90, 0x99, 0x9, 0xa0, 0x0,
    0x0, 0x8c, 0x0, 0x99, 0x0, 0xd8, 0x0, 0x7,
    0xd3, 0x44, 0xbb, 0x44, 0x4e, 0x80, 0x4e, 0x26,
    0xdd, 0xee, 0xdd, 0x62, 0xe4, 0x1, 0x0, 0x0,
    0x99, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x99,
    0x0, 0x0, 0x0,

    /* U+7B80 "简" */
    0x0, 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
    0x1f, 0x40, 0x0, 0x89, 0x0, 0x0, 0x0, 0xaf,
    0xee, 0xe4, 0xfe, 0xee, 0xe8, 0x6, 0xd2, 0x9a,
    0x19, 0xa1, 0xb8, 0x11, 0xd, 0x53, 0x18, 0x6,
    0x10, 0x26, 0x0, 0x0, 0x4e, 0x45, 0xee, 0xee,
    0xee, 0xb0, 0x0, 0x44, 0x70, 0x22, 0x22, 0x27,
    0xc0, 0x2, 0xe0, 0x3f, 0xff, 0xfd, 0x5, 0xc0,
    0x2, 0xe0, 0x3c, 0x0, 0x1e, 0x5, 0xc0, 0x2,
    0xe0, 0x3f, 0xdd, 0xde, 0x5, 0xc0, 0x2, 0xe0,
    0x3c, 0x11, 0x2e, 0x5, 0xc0, 0x2, 0xe0, 0x3f,
    0xcc, 0xce, 0x5, 0xc0, 0x2, 0xe0, 0x2, 0x22,
    0x22, 0x7, 0xc0, 0x2, 0xe0, 0x0, 0x0, 0xb,
    0xff, 0x60, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
    0x0,

    /* U+7E41 "繁" */
    0x0, 0x94, 0x0, 0x0, 0x1b, 0x0, 0x0, 0x6,
    0xec, 0xcc, 0xc8, 0xad, 0x99, 0x91, 0x1c, 0xcb,
    0xbb, 0xb7, 0xf4, 0x2d, 0x40, 0x5, 0xb3, 0xc2,
    0xe6, 0x7a, 0x5c, 0x0, 0x2b, 0xba, 0xc7, 0xe8,
    0x1c, 0xf2, 0x0, 0x8, 0xc9, 0xea, 0xe6, 0xbc,
    0x8e, 0x60, 0x1, 0x11, 0x3a, 0x43, 0x65, 0x3,
    0xc3, 0x0, 0x5, 0xe7, 0x13, 0xcb, 0x0, 0x0,
    0x0, 0x9a, 0xad, 0xf9, 0x25, 0x80, 0x0, 0x4,
    0x9b, 0xff, 0xbb, 0xcc, 0xfd, 0x50, 0x2, 0x47,
    0x82, 0x8a, 0x7, 0x31, 0x50, 0x5, 0xcd, 0x50,
    0x89, 0x7, 0xdc, 0x60, 0x2b, 0x50, 0x4e, 0xe4,
    0x0, 0x4, 0xb3,

    /* U+8A9E "語" */
    0x0, 0x34, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
    0x5c, 0x0, 0x9f, 0xff, 0xff, 0xf0, 0x2a, 0xbf,
    0xa9, 0x0, 0xd4, 0x0, 0x0, 0x3, 0x33, 0x32,
    0x4b, 0xfb, 0xbb, 0x0, 0x9, 0xee, 0xe4, 0x5,
    0xd2, 0x2f, 0x0, 0x0, 0x0, 0x0, 0x7, 0xb0,
    0x1f, 0x0, 0x9, 0xee, 0xe4, 0xff, 0xff, 0xff,
    0xf4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
    0x8, 0xee, 0xe5, 0x3e, 0xee, 0xee, 0x70, 0x9,
    0x71, 0xa5, 0x4c, 0x22, 0x28, 0x80, 0x9, 0x60,
    0x95, 0x4c, 0x0, 0x7, 0x80, 0x9, 0xdb, 0xe5,
    0x4f, 0xff, 0xff, 0x80, 0x2, 0x44, 0x41, 0x4c,
    0x11, 0x18, 0x80,

    /* U+AD6D "국" */
    0x4d, 0xdd, 0xdd, 0xdd, 0xdd, 0xda, 0x0, 0x0,
    0x0, 0x0, 0x0, 0x3f, 0xc0, 0x0, 0x0, 0x0,
    0x0, 0x3, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0,
    0x3f, 0xc0, 0xab, 0xbb, 0xbb, 0xbb, 0xbc, 0xff,
    0x22, 0x22, 0x22, 0xdf, 0x52, 0x22, 0x20, 0x4d,
    0xdd, 0xdd, 0xdd, 0xdd, 0xfc, 0x0, 0x0, 0x0,
    0x0, 0x0, 0x3f, 0xc0, 0x0, 0x0, 0x0, 0x0,
    0x3, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3f,
    0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x43, 0x0,

    /* U+C5B4 "어" */
    0x0, 0x17, 0xa9, 0x50, 0x0, 0xbf, 0x40, 0x1e,
    0xb3, 0x5e, 0xb0, 0xb, 0xf4, 0xa, 0xf0, 0x0,
    0x5f, 0x60, 0xbf, 0x40, 0xfe, 0x0, 0x3, 0xfb,
    0x5d, 0xf4, 0x1f, 0xe0, 0x0, 0x3f, 0xe7, 0xdf,
    0x41, 0xfe, 0x0, 0x3, 0xfc, 0xb, 0xf4, 0xf,
    0xe0, 0x0, 0x3f, 0xb0, 0xbf, 0x40, 0xbf, 0x0,
    0x5, 0xf6, 0xb, 0xf4, 0x2, 0xea, 0x23, 0xdc,
    0x0, 0xbf, 0x40, 0x2, 0x9c, 0xb7, 0x0, 0xb,
    0xf4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x12, 0x0,

    /* U+D55C "한" */
    0x0, 0x0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x17,
    0x7b, 0xfb, 0x77, 0x10, 0xdf, 0x20, 0x15, 0x55,
    0x55, 0x55, 0x10, 0xdf, 0x20, 0xa, 0xfd, 0xcd,
    0xfa, 0x0, 0xdf, 0xd8, 0x2f, 0xd0, 0x0, 0xdf,
    0x30, 0xdf, 0x20, 0xd, 0xfa, 0x9a, 0xfd, 0x0,
    0xdf, 0x20, 0x0, 0x23, 0x33, 0x20, 0x0, 0xdf,
    0x20, 0xe, 0xf1, 0x0, 0x0, 0x0, 0xdf, 0x20,
    0xe, 0xf1, 0x0, 0x0, 0x0, 0x89, 0x10, 0xe,
    0xf1, 0x0, 0x0, 0x0, 0x0, 0x0, 0xe, 0xfd,
    0xdd, 0xdd, 0xdd, 0xdd, 0x10
};


/*---------------------
 *  GLYPH DESCRIPTION
 *--------------------*/

static const lv_font_fmt_txt_glyph_dsc_t glyph_dsc[] = {
    {.bitmap_index = 0, .adv_w = 0, .box_w = 0, .box_h = 0, .ofs_x = 0, .ofs_y = 0} /* id = 0 reserved */,
    {.bitmap_index = 0, .adv_w = 60, .box_w = 0, .box_h = 0, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 0, .adv_w = 53, .box_w = 3, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 17, .adv_w = 77, .box_w = 5, .box_h = 4, .ofs_x = 0, .ofs_y = 8},
    {.bitmap_index = 27, .adv_w = 144, .box_w = 9, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 77, .adv_w = 128, .box_w = 8, .box_h = 15, .ofs_x = 0, .ofs_y = -2},
    {.bitmap_index = 137, .adv_w = 173, .box_w = 11, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 198, .adv_w = 158, .box_w = 11, .box_h = 12, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 264, .adv_w = 42, .box_w = 2, .box_h = 4, .ofs_x = 0, .ofs_y = 8},
    {.bitmap_index = 268, .adv_w = 77, .box_w = 5, .box_h = 14, .ofs_x = 0, .ofs_y = -2},
    {.bitmap_index = 303, .adv_w = 77, .box_w = 4, .box_h = 14, .ofs_x = 0, .ofs_y = -2},
    {.bitmap_index = 331, .adv_w = 96, .box_w = 6, .box_h = 6, .ofs_x = 0, .ofs_y = 5},
    {.bitmap_index = 349, .adv_w = 128, .box_w = 8, .box_h = 8, .ofs_x = 0, .ofs_y = 2},
    {.bitmap_index = 381, .adv_w = 54, .box_w = 3, .box_h = 5, .ofs_x = 0, .ofs_y = -3},
    {.bitmap_index = 389, .adv_w = 109, .box_w = 6, .box_h = 2, .ofs_x = 0, .ofs_y = 3},
    {.bitmap_index = 395, .adv_w = 52, .box_w = 3, .box_h = 2, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 398, .adv_w = 87, .box_w = 6, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 431, .adv_w = 128, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 475, .adv_w = 128, .box_w = 5, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 503, .adv_w = 128, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 547, .adv_w = 128, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 591, .adv_w = 128, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 635, .adv_w = 128, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 679, .adv_w = 128, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 723, .adv_w = 128, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 767, .adv_w = 128, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 811, .adv_w = 128, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 855, .adv_w = 57, .box_w = 2, .box_h = 8, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 863, .adv_w = 59, .box_w = 3, .box_h = 11, .ofs_x = 0, .ofs_y = -3},
    {.bitmap_index = 880, .adv_w = 128, .box_w = 8, .box_h = 8, .ofs_x = 0, .ofs_y = 1},
    {.bitmap_index = 912, .adv_w = 128, .box_w = 8, .box_h = 5, .ofs_x = 0, .ofs_y = 3},
    {.bitmap_index = 932, .adv_w = 128, .box_w = 8, .box_h = 8, .ofs_x = 0, .ofs_y = 1},
    {.bitmap_index = 964, .adv_w = 97, .box_w = 7, .box_h = 13, .ofs_x = -1, .ofs_y = 0},
    {.bitmap_index = 1010, .adv_w = 218, .box_w = 14, .box_h = 14, .ofs_x = 0, .ofs_y = -3},
    {.bitmap_index = 1108, .adv_w = 149, .box_w = 10, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1163, .adv_w = 146, .box_w = 8, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1207, .adv_w = 146, .box_w = 9, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1257, .adv_w = 160, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1307, .adv_w = 134, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1346, .adv_w = 127, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1385, .adv_w = 157, .box_w = 10, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1440, .adv_w = 167, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1490, .adv_w = 59, .box_w = 2, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1501, .adv_w = 102, .box_w = 6, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1534, .adv_w = 152, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1584, .adv_w = 127, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1623, .adv_w = 194, .box_w = 10, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1678, .adv_w = 166, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1728, .adv_w = 171, .box_w = 10, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1783, .adv_w = 133, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1822, .adv_w = 171, .box_w = 11, .box_h = 13, .ofs_x = 0, .ofs_y = -2},
    {.bitmap_index = 1894, .adv_w = 144, .box_w = 8, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1938, .adv_w = 128, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1982, .adv_w = 127, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2026, .adv_w = 164, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2076, .adv_w = 147, .box_w = 10, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2131, .adv_w = 216, .box_w = 14, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2208, .adv_w = 147, .box_w = 10, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2263, .adv_w = 138, .box_w = 9, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2313, .adv_w = 129, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2357, .adv_w = 77, .box_w = 4, .box_h = 15, .ofs_x = 1, .ofs_y = -2},
    {.bitmap_index = 2387, .adv_w = 87, .box_w = 6, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2420, .adv_w = 77, .box_w = 4, .box_h = 15, .ofs_x = 0, .ofs_y = -2},
    {.bitmap_index = 2450, .adv_w = 106, .box_w = 7, .box_h = 6, .ofs_x = 0, .ofs_y = 5},
    {.bitmap_index = 2471, .adv_w = 93, .box_w = 6, .box_h = 2, .ofs_x = 0, .ofs_y = -3},
    {.bitmap_index = 2477, .adv_w = 68, .box_w = 4, .box_h = 3, .ofs_x = 0, .ofs_y = 9},
    {.bitmap_index = 2483, .adv_w = 122, .box_w = 7, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2511, .adv_w = 136, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2550, .adv_w = 110, .box_w = 7, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2578, .adv_w = 136, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2622, .adv_w = 123, .box_w = 8, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2654, .adv_w = 77, .box_w = 6, .box_h = 12, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2690, .adv_w = 136, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = -3},
    {.bitmap_index = 2734, .adv_w = 130, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2773, .adv_w = 54, .box_w = 3, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2790, .adv_w = 54, .box_w = 5, .box_h = 14, .ofs_x = -2, .ofs_y = -3},
    {.bitmap_index = 2825, .adv_w = 117, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2864, .adv_w = 54, .box_w = 2, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2875, .adv_w = 191, .box_w = 10, .box_h = 8, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2915, .adv_w = 130, .box_w = 7, .box_h = 8, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2943, .adv_w = 132, .box_w = 8, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2975, .adv_w = 136, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = -3},
    {.bitmap_index = 3014, .adv_w = 136, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = -3},
    {.bitmap_index = 3058, .adv_w = 84, .box_w = 5, .box_h = 8, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 3078, .adv_w = 102, .box_w = 6, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3102, .adv_w = 82, .box_w = 6, .box_h = 10, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3132, .adv_w = 130, .box_w = 8, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3164, .adv_w = 115, .box_w = 8, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3196, .adv_w = 174, .box_w = 11, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3240, .adv_w = 111, .box_w = 7, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3268, .adv_w = 116, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = -3},
    {.bitmap_index = 3312, .adv_w = 106, .box_w = 7, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3340, .adv_w = 83, .box_w = 5, .box_h = 15, .ofs_x = 0, .ofs_y = -2},
    {.bitmap_index = 3378, .adv_w = 41, .box_w = 2, .box_h = 14, .ofs_x = 0, .ofs_y = -2},
    {.bitmap_index = 3392, .adv_w = 83, .box_w = 5, .box_h = 15, .ofs_x = 0, .ofs_y = -2},
    {.bitmap_index = 3430, .adv_w = 128, .box_w = 8, .box_h = 4, .ofs_x = 0, .ofs_y = 3},
    {.bitmap_index = 3446, .adv_w = 110, .box_w = 7, .box_h = 11, .ofs_x = 0, .ofs_y = -3},
    {.bitmap_index = 3485, .adv_w = 123, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3529, .adv_w = 130, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 3568, .adv_w = 146, .box_w = 9, .box_h = 14, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3631, .adv_w = 110, .box_w = 7, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3670, .adv_w = 102, .box_w = 6, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3703, .adv_w = 133, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 3742, .adv_w = 122, .box_w = 7, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3770, .adv_w = 132, .box_w = 7, .box_h = 8, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 3798, .adv_w = 132, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 3837, .adv_w = 117, .box_w = 7, .box_h = 8, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 3865, .adv_w = 131, .box_w = 7, .box_h = 8, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 3893, .adv_w = 136, .box_w = 7, .box_h = 11, .ofs_x = 1, .ofs_y = -3},
    {.bitmap_index = 3932, .adv_w = 110, .box_w = 7, .box_h = 8, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 3960, .adv_w = 116, .box_w = 8, .box_h = 11, .ofs_x = 0, .ofs_y = -3},
    {.bitmap_index = 4004, .adv_w = 115, .box_w = 6, .box_h = 8, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 4028, .adv_w = 51, .box_w = 5, .box_h = 11, .ofs_x = -1, .ofs_y = 0},
    {.bitmap_index = 4056, .adv_w = 123, .box_w = 8, .box_h = 14, .ofs_x = 0, .ofs_y = -3},
    {.bitmap_index = 4112, .adv_w = 224, .box_w = 12, .box_h = 13, .ofs_x = 1, .ofs_y = -1},
    {.bitmap_index = 4190, .adv_w = 224, .box_w = 14, .box_h = 13, .ofs_x = 0, .ofs_y = -1},
    {.bitmap_index = 4281, .adv_w = 224, .box_w = 14, .box_h = 13, .ofs_x = 0, .ofs_y = -1},
    {.bitmap_index = 4372, .adv_w = 224, .box_w = 10, .box_h = 13, .ofs_x = 2, .ofs_y = -2},
    {.bitmap_index = 4437, .adv_w = 224, .box_w = 14, .box_h = 13, .ofs_x = 0, .ofs_y = -1},
    {.bitmap_index = 4528, .adv_w = 224, .box_w = 14, .box_h = 15, .ofs_x = 0, .ofs_y = -2},
    {.bitmap_index = 4633, .adv_w = 224, .box_w = 14, .box_h = 13, .ofs_x = 0, .ofs_y = -1},
    {.bitmap_index = 4724, .adv_w = 224, .box_w = 14, .box_h = 13, .ofs_x = 0, .ofs_y = -1},
    {.bitmap_index = 4815, .adv_w = 224, .box_w = 13, .box_h = 11, .ofs_x = 1, .ofs_y = -1},
    {.bitmap_index = 4887, .adv_w = 224, .box_w = 13, .box_h = 11, .ofs_x = 0, .ofs_y = -1},
    {.bitmap_index = 4959, .adv_w = 224, .box_w = 14, .box_h = 11, .ofs_x = 0, .ofs_y = 0}
};

/*---------------------
 *  CHARACTER MAPPING
 *--------------------*/

static const uint16_t unicode_list_1[] = {
    0x0, 0x3, 0xa, 0x25, 0x26, 0x7a, 0x339, 0x349,
    0x351, 0x352, 0x353, 0x356, 0x359, 0x35a, 0x35c, 0x365,
    0x370, 0x1de0, 0x4d46, 0x4e6c, 0x64a0, 0x64fe, 0x6645, 0x7a99,
    0x7d5a, 0x89b7, 0xac86, 0xc4cd, 0xd475
};

/*Collect the unicode lists and glyph_id offsets*/
static const lv_font_fmt_txt_cmap_t cmaps[] =
{
    {
        .range_start = 32, .range_length = 95, .glyph_id_start = 1,
        .unicode_list = NULL, .glyph_id_ofs_list = NULL, .list_length = 0, .type = LV_FONT_FMT_TXT_CMAP_FORMAT0_TINY
    },
    {
        .range_start = 231, .range_length = 54390, .glyph_id_start = 96,
        .unicode_list = unicode_list_1, .glyph_id_ofs_list = NULL, .list_length = 29, .type = LV_FONT_FMT_TXT_CMAP_SPARSE_TINY
    }
};

/*-----------------
 *    KERNING
 *----------------*/


/*Map glyph_ids to kern left classes*/
static const uint8_t kern_left_class_mapping[] =
{
    0, 1, 0, 2, 0, 0, 0, 0,
    2, 3, 4, 0, 5, 0, 5, 0,
    6, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 5,
    7, 8, 9, 10, 11, 8, 12, 13,
    14, 15, 15, 16, 17, 18, 15, 15,
    8, 19, 0, 20, 21, 22, 16, 6,
    23, 24, 25, 26, 3, 9, 4, 0,
    0, 0, 27, 28, 29, 30, 31, 32,
    33, 27, 0, 34, 35, 30, 27, 27,
    28, 28, 0, 36, 37, 38, 33, 39,
    39, 40, 39, 41, 3, 0, 4, 5,
    29, 31, 27, 11, 29, 42, 19, 27,
    33, 33, 43, 33, 28, 29, 39, 44,
    0, 31, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0
};

/*Map glyph_ids to kern right classes*/
static const uint8_t kern_right_class_mapping[] =
{
    0, 1, 0, 2, 0, 0, 0, 0,
    2, 0, 3, 0, 4, 5, 4, 5,
    6, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 4, 0, 0,
    7, 8, 6, 9, 8, 9, 9, 9,
    8, 9, 9, 10, 9, 9, 9, 9,
    8, 9, 8, 9, 11, 12, 13, 14,
    15, 16, 17, 18, 0, 14, 3, 0,
    5, 0, 19, 20, 21, 21, 21, 22,
    21, 20, 0, 23, 20, 20, 24, 24,
    21, 0, 21, 24, 25, 26, 27, 28,
    28, 29, 28, 30, 0, 0, 3, 4,
    21, 31, 24, 8, 21, 32, 9, 19,
    24, 24, 24, 24, 24, 21, 28, 24,
    0, 31, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0
};

/*Kern values between classes*/
static const int8_t kern_class_values[] =
{
    0, 0, 0, 0, 0, -9, 0, 0,
    0, -7, 0, -7, 0, -9, -2, 0,
    -7, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 3, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 4, 0, 4,
    4, 2, 0, 3, 0, 0, 15, 0,
    0, 5, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 7, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, -12, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    -9, 4, 4, -9, -30, -19, 5, -7,
    0, -26, -1, 4, 0, 0, 0, 0,
    0, 0, -15, 0, -15, -4, 0, -9,
    -12, 0, -9, -9, -11, -11, -7, -11,
    0, 0, 0, -7, -21, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, -6, 0, 0, -9, -7, 0, 0,
    0, -9, 0, -7, 0, -7, -4, -7,
    -11, -6, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    -9, -26, 0, -13, 7, 0, -15, -7,
    0, 0, 0, -18, -3, -19, -14, 0,
    -24, 4, 0, 0, -2, 0, 0, 0,
    0, 0, 0, -8, 0, 0, -2, 0,
    0, -2, 0, 0, 0, -3, 0, 0,
    0, 3, 0, -8, 0, -9, -2, 0,
    -12, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 2, 0, -7, 6, 0, 7, -3,
    0, 0, 0, 1, 0, 0, 0, 0,
    1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, -5, 0, 0, 0, 0,
    0, 0, 0, 0, 2, 0, 2, -2,
    0, 3, 0, 0, 0, -2, 0, 0,
    -3, 0, -2, 0, -3, -4, 0, 0,
    -2, -2, -2, -4, -2, 0, -3, -2,
    -2, 6, 0, 1, -29, -12, 9, -1,
    0, -32, 0, 4, 0, 0, 0, 0,
    0, 0, -9, 0, -7, -2, 0, -5,
    0, -3, 0, -4, -9, -6, -7, 0,
    0, 0, 0, 0, 5, 0, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, -6, -3, 0, 0,
    0, -7, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    -9, 0, 0, -25, 4, 0, 0, -13,
    -3, 0, -2, 0, -5, 0, 0, 0,
    0, 0, -6, 0, -7, -9, 0, -3,
    -3, -7, -9, -14, -7, 0, -6, -3,
    -11, -22, 0, -20, 6, 0, -16, -12,
    0, 4, -2, -29, -10, -33, -24, 0,
    -39, 0, -2, 0, -5, -4, 0, 0,
    0, -6, -7, -21, 0, 0, 0, 0,
    -2, 2, 0, 3, -32, -18, 3, 0,
    0, -36, 0, 0, 0, 0, 0, -4,
    0, -7, -7, 0, -7, 0, 0, 0,
    0, 0, 0, 2, 0, 0, 0, 0,
    0, -2, 0, -2, 10, 0, -1, -2,
    0, 0, 2, -2, -3, -6, -3, 0,
    -10, 0, 0, 0, -3, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 2, 0,
    0, 0, 5, 0, 0, -3, 0, 0,
    -4, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    -7, 7, 0, -18, -25, -18, 7, -7,
    0, -31, 0, 4, 0, 4, 4, 0,
    0, 0, -26, 0, -25, -11, 0, -20,
    -25, -8, -19, -23, -23, -19, -15, -14,
    -2, 4, 0, -4, -17, -14, 0, -4,
    0, -15, 0, 4, 0, 0, 0, 0,
    0, 0, -17, 0, -13, -3, 0, -9,
    -9, 0, -6, -4, -7, -7, -5, -9,
    0, 0, 4, -20, 2, 0, 3, -7,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, -5, 0, -7, 0, 0, -4,
    -4, -6, -6, -13, 0, 0, -6, -4,
    -7, 3, 4, -16, -30, -24, 2, -11,
    0, -30, -4, 0, 0, 0, 0, 0,
    0, 0, -24, 0, -22, -11, 0, -18,
    -20, -6, -16, -15, -13, -16, -18, -16,
    0, 0, 2, -11, 4, 0, 2, -7,
    0, 0, -3, 0, 0, 0, 0, 0,
    0, 0, -1, 0, -3, 0, 0, 0,
    0, 0, 0, -7, 0, 0, 0, 0,
    0, -9, 0, 0, 0, 0, -6, 0,
    0, 0, 0, -19, 0, -15, -14, -2,
    -21, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, -2, 0, 0, 0, 0,
    0, -11, 0, -2, -7, 0, -9, 0,
    0, 0, 0, -25, 0, -15, -13, -7,
    -22, 0, -2, 0, 0, -2, 0, 0,
    0, -1, 0, -4, -5, -5, 0, 0,
    0, 1, 0, 4, 5, 0, -2, 0,
    0, 0, 0, -17, 0, -10, -7, 4,
    -16, 0, 0, 0, -1, 2, 0, 0,
    0, 5, 0, 0, 2, 3, -1, 0,
    0, 0, 3, 0, 0, 0, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 4, 0, 0, -5, 0,
    0, 0, 0, -15, 0, -12, -10, -2,
    -18, 0, 0, 0, 0, 0, 0, 0,
    3, 0, 0, 1, -1, 0, 0, 3,
    0, 9, 0, -2, -17, 0, 9, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, -6, 0, -6, 0, 0, 0,
    0, 3, 0, 0, 0, 0, -2, 0,
    0, 0, 0, 0, 0, 0, -5, 0,
    0, 0, 0, -20, 0, -9, -9, 0,
    -18, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 3, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 7, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    -4, 0, 0, -5, 6, 0, -10, 0,
    0, 0, 0, -21, 0, -13, -12, 0,
    -18, 0, -7, 0, -5, 0, 0, 0,
    -3, 0, -1, 0, 0, 0, -5, -3,
    0, 4, 0, 2, -23, -8, -6, 0,
    0, -24, 0, 0, 0, -8, 0, -9,
    -15, 0, -10, 0, -7, 0, 0, 0,
    -1, 6, 0, 0, 0, 0, -7, -1,
    0, -7, 0, 0, 0, 0, -6, 0,
    0, 0, 0, -23, 0, -15, -11, 0,
    -22, 0, 0, 0, 0, 0, 0, 0,
    2, 0, 0, -1, 0, 2, 0, 0,
    0, -2, 2, 0, 6, 0, -5, 0,
    0, 0, 0, -16, 0, -9, 0, 0,
    -14, 0, 0, 0, -2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, -2, 0,
    0, 0, 0, 0, -20, -8, -6, 0,
    0, -17, 0, -23, 0, -9, -4, -13,
    -15, 0, -4, 0, -4, 0, 0, 0,
    -1, 0, 0, 0, 0, 0, -4, 0,
    0, 0, 0, -4, 2, 0, -10, 0,
    0, 0, 0, -23, 0, -11, -7, 0,
    -13, 0, -3, 0, -5, 0, 0, 0,
    0, 3, 0, 0, 0, 0, -5, 0,
    0, 0, 0, 0, 2, 0, -6, 0,
    0, 0, 0, -23, 0, -12, -6, 0,
    -16, 0, -4, 0, -5, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, -7, 0, 0, 0, 0, 0, 0,
    0, 0, 0, -10, 0, -11, -8, 0,
    -15, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, -1, 0, 2, 0, 2,
    -4, -2, 0, -5, 6, 0, -10, 0,
    0, 0, 0, -21, 0, -13, -12, 0,
    -18, 0, -7, 0, -5, 0, 0, 0,
    -3, 0, -1, 6, 0, 0, -8, -3,
    0, -13, 0, 0, 0, 0, 0, 0,
    0, 0, 0, -26, 0, 0, 0, -3,
    0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0
};


/*Collect the kern class' data in one place*/
static const lv_font_fmt_txt_kern_classes_t kern_classes =
{
    .class_pair_values   = kern_class_values,
    .left_class_mapping  = kern_left_class_mapping,
    .right_class_mapping = kern_right_class_mapping,
    .left_class_cnt      = 44,
    .right_class_cnt     = 32,
};

/*--------------------
 *  ALL CUSTOM DATA
 *--------------------*/

#if LV_VERSION_CHECK(8, 0, 0)
/*Store all the custom data of the font*/
static  lv_font_fmt_txt_glyph_cache_t cache;
static const lv_font_fmt_txt_dsc_t font_dsc = {
#else
static lv_font_fmt_txt_dsc_t font_dsc = {
#endif
    .glyph_bitmap = glyph_bitmap,
    .glyph_dsc = glyph_dsc,
    .cmaps = cmaps,
    .kern_dsc = &kern_classes,
    .kern_scale = 16,
    .cmap_num = 2,
    .bpp = 4,
    .kern_classes = 1,
    .bitmap_format = 0,
#if LV_VERSION_CHECK(8, 0, 0)
    .cache = &cache
#endif
};


/*-----------------
 *  PUBLIC FONT
 *----------------*/

/*Initialize a public general font descriptor*/
#if LV_VERSION_CHECK(8, 0, 0)
const lv_font_t ui_font_English14 = {
#else
lv_font_t ui_font_English14 = {
#endif
    .get_glyph_dsc = lv_font_get_glyph_dsc_fmt_txt,    /*Function pointer to get glyph's data*/
    .get_glyph_bitmap = lv_font_get_bitmap_fmt_txt,    /*Function pointer to get glyph's bitmap*/
    .line_height = 17,          /*The maximum line height required by the font*/
    .base_line = 3,             /*Baseline measured from the bottom of the line*/
#if !(LVGL_VERSION_MAJOR == 6 && LVGL_VERSION_MINOR == 0)
    .subpx = LV_FONT_SUBPX_NONE,
#endif
#if LV_VERSION_CHECK(7, 4, 0) || LVGL_VERSION_MAJOR >= 8
    .underline_position = -1,
    .underline_thickness = 1,
#endif
    .dsc = &font_dsc           /*The custom font data. Will be accessed by `get_glyph_bitmap/dsc` */
};



#endif /*#if UI_FONT_ENGLISH14*/

